/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */
import { __extends } from "tslib";
import * as Models from "./models";
import * as Mappers from "./models/mappers";
import * as operations from "./operations";
import { ComputeManagementClientContext } from "./computeManagementClientContext";
var ComputeManagementClient = /** @class */ (function (_super) {
    __extends(ComputeManagementClient, _super);
    /**
     * Initializes a new instance of the ComputeManagementClient class.
     * @param credentials Credentials needed for the client to connect to Azure. Credentials
     * implementing the TokenCredential interface from the @azure/identity package are recommended. For
     * more information about these credentials, see
     * {@link https://www.npmjs.com/package/@azure/identity}. Credentials implementing the
     * ServiceClientCredentials interface from the older packages @azure/ms-rest-nodeauth and
     * @azure/ms-rest-browserauth are also supported.
     * @param subscriptionId Subscription credentials which uniquely identify Microsoft Azure
     * subscription. The subscription ID forms part of the URI for every service call.
     * @param [options] The parameter options
     */
    function ComputeManagementClient(credentials, subscriptionId, options) {
        var _this = _super.call(this, credentials, subscriptionId, options) || this;
        _this.operations = new operations.Operations(_this);
        _this.availabilitySets = new operations.AvailabilitySets(_this);
        _this.proximityPlacementGroups = new operations.ProximityPlacementGroups(_this);
        _this.dedicatedHostGroups = new operations.DedicatedHostGroups(_this);
        _this.dedicatedHosts = new operations.DedicatedHosts(_this);
        _this.sshPublicKeys = new operations.SshPublicKeys(_this);
        _this.virtualMachineExtensionImages = new operations.VirtualMachineExtensionImages(_this);
        _this.virtualMachineExtensions = new operations.VirtualMachineExtensions(_this);
        _this.virtualMachineImages = new operations.VirtualMachineImages(_this);
        _this.virtualMachineImagesEdgeZone = new operations.VirtualMachineImagesEdgeZone(_this);
        _this.usage = new operations.UsageOperations(_this);
        _this.virtualMachines = new operations.VirtualMachines(_this);
        _this.virtualMachineScaleSets = new operations.VirtualMachineScaleSets(_this);
        _this.virtualMachineSizes = new operations.VirtualMachineSizes(_this);
        _this.images = new operations.Images(_this);
        _this.restorePointCollections = new operations.RestorePointCollections(_this);
        _this.restorePoints = new operations.RestorePoints(_this);
        _this.virtualMachineScaleSetExtensions = new operations.VirtualMachineScaleSetExtensions(_this);
        _this.virtualMachineScaleSetRollingUpgrades = new operations.VirtualMachineScaleSetRollingUpgrades(_this);
        _this.virtualMachineScaleSetVMExtensions = new operations.VirtualMachineScaleSetVMExtensions(_this);
        _this.virtualMachineScaleSetVMs = new operations.VirtualMachineScaleSetVMs(_this);
        _this.logAnalytics = new operations.LogAnalytics(_this);
        _this.virtualMachineRunCommands = new operations.VirtualMachineRunCommands(_this);
        _this.virtualMachineScaleSetVMRunCommands = new operations.VirtualMachineScaleSetVMRunCommands(_this);
        _this.resourceSkus = new operations.ResourceSkus(_this);
        _this.disks = new operations.Disks(_this);
        _this.snapshots = new operations.Snapshots(_this);
        _this.diskEncryptionSets = new operations.DiskEncryptionSets(_this);
        _this.diskAccesses = new operations.DiskAccesses(_this);
        _this.diskRestorePoint = new operations.DiskRestorePointOperations(_this);
        _this.galleries = new operations.Galleries(_this);
        _this.galleryImages = new operations.GalleryImages(_this);
        _this.galleryImageVersions = new operations.GalleryImageVersions(_this);
        _this.galleryApplications = new operations.GalleryApplications(_this);
        _this.galleryApplicationVersions = new operations.GalleryApplicationVersions(_this);
        _this.gallerySharingProfile = new operations.GallerySharingProfile(_this);
        _this.sharedGalleries = new operations.SharedGalleries(_this);
        _this.sharedGalleryImages = new operations.SharedGalleryImages(_this);
        _this.sharedGalleryImageVersions = new operations.SharedGalleryImageVersions(_this);
        _this.cloudServiceRoleInstances = new operations.CloudServiceRoleInstances(_this);
        _this.cloudServiceRoles = new operations.CloudServiceRoles(_this);
        _this.cloudServices = new operations.CloudServices(_this);
        _this.cloudServicesUpdateDomain = new operations.CloudServicesUpdateDomain(_this);
        _this.cloudServiceOperatingSystems = new operations.CloudServiceOperatingSystems(_this);
        return _this;
    }
    return ComputeManagementClient;
}(ComputeManagementClientContext));
// Operation Specifications
export { ComputeManagementClient, ComputeManagementClientContext, Models as ComputeManagementModels, Mappers as ComputeManagementMappers };
export * from "./operations";
//# sourceMappingURL=computeManagementClient.js.map