import * as msRest from "@azure/ms-rest-js";
import * as Models from "../models";
import { ComputeManagementClientContext } from "../computeManagementClientContext";
/** Class representing a ResourceSkus. */
export declare class ResourceSkus {
    private readonly client;
    /**
     * Create a ResourceSkus.
     * @param {ComputeManagementClientContext} client Reference to the service client.
     */
    constructor(client: ComputeManagementClientContext);
    /**
     * Gets the list of Microsoft.Compute SKUs available for your Subscription.
     * @param [options] The optional parameters
     * @returns Promise<Models.ResourceSkusListResponse>
     */
    list(options?: Models.ResourceSkusListOptionalParams): Promise<Models.ResourceSkusListResponse>;
    /**
     * @param callback The callback
     */
    list(callback: msRest.ServiceCallback<Models.ResourceSkusResult>): void;
    /**
     * @param options The optional parameters
     * @param callback The callback
     */
    list(options: Models.ResourceSkusListOptionalParams, callback: msRest.ServiceCallback<Models.ResourceSkusResult>): void;
    /**
     * Gets the list of Microsoft.Compute SKUs available for your Subscription.
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param [options] The optional parameters
     * @returns Promise<Models.ResourceSkusListNextResponse>
     */
    listNext(nextPageLink: string, options?: Models.ResourceSkusListNextOptionalParams): Promise<Models.ResourceSkusListNextResponse>;
    /**
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param callback The callback
     */
    listNext(nextPageLink: string, callback: msRest.ServiceCallback<Models.ResourceSkusResult>): void;
    /**
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param options The optional parameters
     * @param callback The callback
     */
    listNext(nextPageLink: string, options: Models.ResourceSkusListNextOptionalParams, callback: msRest.ServiceCallback<Models.ResourceSkusResult>): void;
}
//# sourceMappingURL=resourceSkus.d.ts.map