/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */
import * as msRest from "@azure/ms-rest-js";
import * as Mappers from "../models/sharedGalleriesMappers";
import * as Parameters from "../models/parameters";
/** Class representing a SharedGalleries. */
var SharedGalleries = /** @class */ (function () {
    /**
     * Create a SharedGalleries.
     * @param {ComputeManagementClientContext} client Reference to the service client.
     */
    function SharedGalleries(client) {
        this.client = client;
    }
    SharedGalleries.prototype.list = function (location, options, callback) {
        return this.client.sendOperationRequest({
            location: location,
            options: options
        }, listOperationSpec, callback);
    };
    SharedGalleries.prototype.get = function (location, galleryUniqueName, options, callback) {
        return this.client.sendOperationRequest({
            location: location,
            galleryUniqueName: galleryUniqueName,
            options: options
        }, getOperationSpec, callback);
    };
    SharedGalleries.prototype.listNext = function (nextPageLink, options, callback) {
        return this.client.sendOperationRequest({
            nextPageLink: nextPageLink,
            options: options
        }, listNextOperationSpec, callback);
    };
    return SharedGalleries;
}());
export { SharedGalleries };
// Operation Specifications
var serializer = new msRest.Serializer(Mappers);
var listOperationSpec = {
    httpMethod: "GET",
    path: "subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/sharedGalleries",
    urlParameters: [Parameters.subscriptionId, Parameters.location0],
    queryParameters: [Parameters.apiVersion3, Parameters.sharedTo],
    headerParameters: [Parameters.acceptLanguage],
    responses: {
        200: {
            bodyMapper: Mappers.SharedGalleryList
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var getOperationSpec = {
    httpMethod: "GET",
    path: "subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/sharedGalleries/{galleryUniqueName}",
    urlParameters: [Parameters.subscriptionId, Parameters.location0, Parameters.galleryUniqueName],
    queryParameters: [Parameters.apiVersion3],
    headerParameters: [Parameters.acceptLanguage],
    responses: {
        200: {
            bodyMapper: Mappers.SharedGallery
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var listNextOperationSpec = {
    httpMethod: "GET",
    baseUrl: "https://management.azure.com",
    path: "{nextLink}",
    urlParameters: [Parameters.nextPageLink],
    queryParameters: [Parameters.apiVersion3, Parameters.sharedTo],
    headerParameters: [Parameters.acceptLanguage],
    responses: {
        200: {
            bodyMapper: Mappers.SharedGalleryList
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
//# sourceMappingURL=sharedGalleries.js.map