/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */
import * as msRest from "@azure/ms-rest-js";
import * as Mappers from "../models/virtualMachineSizesMappers";
import * as Parameters from "../models/parameters";
/** Class representing a VirtualMachineSizes. */
var VirtualMachineSizes = /** @class */ (function () {
    /**
     * Create a VirtualMachineSizes.
     * @param {ComputeManagementClientContext} client Reference to the service client.
     */
    function VirtualMachineSizes(client) {
        this.client = client;
    }
    VirtualMachineSizes.prototype.list = function (location, options, callback) {
        return this.client.sendOperationRequest({
            location: location,
            options: options
        }, listOperationSpec, callback);
    };
    return VirtualMachineSizes;
}());
export { VirtualMachineSizes };
// Operation Specifications
var serializer = new msRest.Serializer(Mappers);
var listOperationSpec = {
    httpMethod: "GET",
    path: "subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/vmSizes",
    urlParameters: [Parameters.location1, Parameters.subscriptionId],
    queryParameters: [Parameters.apiVersion0],
    headerParameters: [Parameters.acceptLanguage],
    responses: {
        200: {
            bodyMapper: Mappers.VirtualMachineSizeListResult
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
//# sourceMappingURL=virtualMachineSizes.js.map