/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

import * as msRest from "@azure/ms-rest-js";
import * as Models from "../models";
import * as Mappers from "../models/virtualMachineSizesMappers";
import * as Parameters from "../models/parameters";
import { ComputeManagementClientContext } from "../computeManagementClientContext";

/** Class representing a VirtualMachineSizes. */
export class VirtualMachineSizes {
  private readonly client: ComputeManagementClientContext;

  /**
   * Create a VirtualMachineSizes.
   * @param {ComputeManagementClientContext} client Reference to the service client.
   */
  constructor(client: ComputeManagementClientContext) {
    this.client = client;
  }

  /**
   * This API is deprecated. Use [Resources
   * Skus](https://docs.microsoft.com/rest/api/compute/resourceskus/list)
   * @param location The location upon which virtual-machine-sizes is queried.
   * @param [options] The optional parameters
   * @returns Promise<Models.VirtualMachineSizesListResponse>
   */
  list(
    location: string,
    options?: msRest.RequestOptionsBase
  ): Promise<Models.VirtualMachineSizesListResponse>;
  /**
   * @param location The location upon which virtual-machine-sizes is queried.
   * @param callback The callback
   */
  list(
    location: string,
    callback: msRest.ServiceCallback<Models.VirtualMachineSizeListResult>
  ): void;
  /**
   * @param location The location upon which virtual-machine-sizes is queried.
   * @param options The optional parameters
   * @param callback The callback
   */
  list(
    location: string,
    options: msRest.RequestOptionsBase,
    callback: msRest.ServiceCallback<Models.VirtualMachineSizeListResult>
  ): void;
  list(
    location: string,
    options?:
      | msRest.RequestOptionsBase
      | msRest.ServiceCallback<Models.VirtualMachineSizeListResult>,
    callback?: msRest.ServiceCallback<Models.VirtualMachineSizeListResult>
  ): Promise<Models.VirtualMachineSizesListResponse> {
    return this.client.sendOperationRequest(
      {
        location,
        options
      },
      listOperationSpec,
      callback
    ) as Promise<Models.VirtualMachineSizesListResponse>;
  }
}

// Operation Specifications
const serializer = new msRest.Serializer(Mappers);
const listOperationSpec: msRest.OperationSpec = {
  httpMethod: "GET",
  path: "subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/vmSizes",
  urlParameters: [Parameters.location1, Parameters.subscriptionId],
  queryParameters: [Parameters.apiVersion0],
  headerParameters: [Parameters.acceptLanguage],
  responses: {
    200: {
      bodyMapper: Mappers.VirtualMachineSizeListResult
    },
    default: {
      bodyMapper: Mappers.CloudError
    }
  },
  serializer
};
