import * as msRest from "@azure/ms-rest-js";
import * as Models from "./models";
import * as Mappers from "./models/mappers";
import * as operations from "./operations";
import { ManagementLockClientContext } from "./managementLockClientContext";
declare class ManagementLockClient extends ManagementLockClientContext {
    authorizationOperations: operations.AuthorizationOperations;
    managementLocks: operations.ManagementLocks;
    /**
     * Initializes a new instance of the ManagementLockClient class.
     * @param credentials Credentials needed for the client to connect to Azure.
     * @param subscriptionId The ID of the target subscription.
     * @param [options] The parameter options
     */
    constructor(credentials: msRest.ServiceClientCredentials, subscriptionId: string, options?: Models.ManagementLockClientOptions);
}
export { ManagementLockClient, ManagementLockClientContext, Models as ManagementLockModels, Mappers as ManagementLockMappers };
export * from "./operations";
//# sourceMappingURL=managementLockClient.d.ts.map