/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */
import * as tslib_1 from "tslib";
import * as Models from "./models";
import * as Mappers from "./models/mappers";
import * as operations from "./operations";
import { ManagementLockClientContext } from "./managementLockClientContext";
var ManagementLockClient = /** @class */ (function (_super) {
    tslib_1.__extends(ManagementLockClient, _super);
    /**
     * Initializes a new instance of the ManagementLockClient class.
     * @param credentials Credentials needed for the client to connect to Azure.
     * @param subscriptionId The ID of the target subscription.
     * @param [options] The parameter options
     */
    function ManagementLockClient(credentials, subscriptionId, options) {
        var _this = _super.call(this, credentials, subscriptionId, options) || this;
        _this.authorizationOperations = new operations.AuthorizationOperations(_this);
        _this.managementLocks = new operations.ManagementLocks(_this);
        return _this;
    }
    return ManagementLockClient;
}(ManagementLockClientContext));
// Operation Specifications
export { ManagementLockClient, ManagementLockClientContext, Models as ManagementLockModels, Mappers as ManagementLockMappers };
export * from "./operations";
//# sourceMappingURL=managementLockClient.js.map