/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */
import { __assign, __extends } from "tslib";
import * as msRest from "@azure/ms-rest-js";
import * as Models from "./models";
import * as Mappers from "./models/mappers";
import * as Parameters from "./models/parameters";
import * as operations from "./operations";
import { NetworkManagementClientContext } from "./networkManagementClientContext";
var NetworkManagementClient = /** @class */ (function (_super) {
    __extends(NetworkManagementClient, _super);
    /**
     * Initializes a new instance of the NetworkManagementClient class.
     * @param credentials Credentials needed for the client to connect to Azure. Credentials
     * implementing the TokenCredential interface from the @azure/identity package are recommended. For
     * more information about these credentials, see
     * {@link https://www.npmjs.com/package/@azure/identity}. Credentials implementing the
     * ServiceClientCredentials interface from the older packages @azure/ms-rest-nodeauth and
     * @azure/ms-rest-browserauth are also supported.
     * @param subscriptionId The subscription credentials which uniquely identify the Microsoft Azure
     * subscription. The subscription ID forms part of the URI for every service call.
     * @param [options] The parameter options
     */
    function NetworkManagementClient(credentials, subscriptionId, options) {
        var _this = _super.call(this, credentials, subscriptionId, options) || this;
        _this.applicationGateways = new operations.ApplicationGateways(_this);
        _this.applicationGatewayPrivateLinkResources = new operations.ApplicationGatewayPrivateLinkResources(_this);
        _this.applicationGatewayPrivateEndpointConnections = new operations.ApplicationGatewayPrivateEndpointConnections(_this);
        _this.applicationSecurityGroups = new operations.ApplicationSecurityGroups(_this);
        _this.availableDelegations = new operations.AvailableDelegations(_this);
        _this.availableResourceGroupDelegations = new operations.AvailableResourceGroupDelegations(_this);
        _this.availableServiceAliases = new operations.AvailableServiceAliases(_this);
        _this.azureFirewalls = new operations.AzureFirewalls(_this);
        _this.azureFirewallFqdnTags = new operations.AzureFirewallFqdnTags(_this);
        _this.webCategories = new operations.WebCategories(_this);
        _this.bastionHosts = new operations.BastionHosts(_this);
        _this.networkInterfaces = new operations.NetworkInterfaces(_this);
        _this.publicIPAddresses = new operations.PublicIPAddresses(_this);
        _this.customIPPrefixes = new operations.CustomIPPrefixes(_this);
        _this.ddosCustomPolicies = new operations.DdosCustomPolicies(_this);
        _this.ddosProtectionPlans = new operations.DdosProtectionPlans(_this);
        _this.dscpConfiguration = new operations.DscpConfigurationOperations(_this);
        _this.availableEndpointServices = new operations.AvailableEndpointServices(_this);
        _this.expressRouteCircuitAuthorizations = new operations.ExpressRouteCircuitAuthorizations(_this);
        _this.expressRouteCircuitPeerings = new operations.ExpressRouteCircuitPeerings(_this);
        _this.expressRouteCircuitConnections = new operations.ExpressRouteCircuitConnections(_this);
        _this.peerExpressRouteCircuitConnections = new operations.PeerExpressRouteCircuitConnections(_this);
        _this.expressRouteCircuits = new operations.ExpressRouteCircuits(_this);
        _this.expressRouteServiceProviders = new operations.ExpressRouteServiceProviders(_this);
        _this.expressRouteCrossConnections = new operations.ExpressRouteCrossConnections(_this);
        _this.expressRouteCrossConnectionPeerings = new operations.ExpressRouteCrossConnectionPeerings(_this);
        _this.expressRoutePortsLocations = new operations.ExpressRoutePortsLocations(_this);
        _this.expressRoutePorts = new operations.ExpressRoutePorts(_this);
        _this.expressRouteLinks = new operations.ExpressRouteLinks(_this);
        _this.firewallPolicies = new operations.FirewallPolicies(_this);
        _this.firewallPolicyRuleCollectionGroups = new operations.FirewallPolicyRuleCollectionGroups(_this);
        _this.ipAllocations = new operations.IpAllocations(_this);
        _this.ipGroups = new operations.IpGroups(_this);
        _this.loadBalancers = new operations.LoadBalancers(_this);
        _this.loadBalancerBackendAddressPools = new operations.LoadBalancerBackendAddressPools(_this);
        _this.loadBalancerFrontendIPConfigurations = new operations.LoadBalancerFrontendIPConfigurations(_this);
        _this.inboundNatRules = new operations.InboundNatRules(_this);
        _this.loadBalancerLoadBalancingRules = new operations.LoadBalancerLoadBalancingRules(_this);
        _this.loadBalancerOutboundRules = new operations.LoadBalancerOutboundRules(_this);
        _this.loadBalancerNetworkInterfaces = new operations.LoadBalancerNetworkInterfaces(_this);
        _this.loadBalancerProbes = new operations.LoadBalancerProbes(_this);
        _this.natGateways = new operations.NatGateways(_this);
        _this.networkInterfaceIPConfigurations = new operations.NetworkInterfaceIPConfigurations(_this);
        _this.networkInterfaceLoadBalancers = new operations.NetworkInterfaceLoadBalancers(_this);
        _this.networkInterfaceTapConfigurations = new operations.NetworkInterfaceTapConfigurations(_this);
        _this.networkProfiles = new operations.NetworkProfiles(_this);
        _this.networkSecurityGroups = new operations.NetworkSecurityGroups(_this);
        _this.securityRules = new operations.SecurityRules(_this);
        _this.defaultSecurityRules = new operations.DefaultSecurityRules(_this);
        _this.networkVirtualAppliances = new operations.NetworkVirtualAppliances(_this);
        _this.virtualApplianceSites = new operations.VirtualApplianceSites(_this);
        _this.virtualApplianceSkus = new operations.VirtualApplianceSkus(_this);
        _this.inboundSecurityRule = new operations.InboundSecurityRuleOperations(_this);
        _this.networkWatchers = new operations.NetworkWatchers(_this);
        _this.packetCaptures = new operations.PacketCaptures(_this);
        _this.connectionMonitors = new operations.ConnectionMonitors(_this);
        _this.flowLogs = new operations.FlowLogs(_this);
        _this.operations = new operations.Operations(_this);
        _this.privateEndpoints = new operations.PrivateEndpoints(_this);
        _this.availablePrivateEndpointTypes = new operations.AvailablePrivateEndpointTypes(_this);
        _this.privateDnsZoneGroups = new operations.PrivateDnsZoneGroups(_this);
        _this.privateLinkServices = new operations.PrivateLinkServices(_this);
        _this.publicIPPrefixes = new operations.PublicIPPrefixes(_this);
        _this.routeFilters = new operations.RouteFilters(_this);
        _this.routeFilterRules = new operations.RouteFilterRules(_this);
        _this.routeTables = new operations.RouteTables(_this);
        _this.routes = new operations.Routes(_this);
        _this.securityPartnerProviders = new operations.SecurityPartnerProviders(_this);
        _this.bgpServiceCommunities = new operations.BgpServiceCommunities(_this);
        _this.serviceEndpointPolicies = new operations.ServiceEndpointPolicies(_this);
        _this.serviceEndpointPolicyDefinitions = new operations.ServiceEndpointPolicyDefinitions(_this);
        _this.serviceTags = new operations.ServiceTags(_this);
        _this.usages = new operations.Usages(_this);
        _this.virtualNetworks = new operations.VirtualNetworks(_this);
        _this.subnets = new operations.Subnets(_this);
        _this.resourceNavigationLinks = new operations.ResourceNavigationLinks(_this);
        _this.serviceAssociationLinks = new operations.ServiceAssociationLinks(_this);
        _this.virtualNetworkPeerings = new operations.VirtualNetworkPeerings(_this);
        _this.virtualNetworkGateways = new operations.VirtualNetworkGateways(_this);
        _this.virtualNetworkGatewayConnections = new operations.VirtualNetworkGatewayConnections(_this);
        _this.localNetworkGateways = new operations.LocalNetworkGateways(_this);
        _this.virtualNetworkTaps = new operations.VirtualNetworkTaps(_this);
        _this.virtualRouters = new operations.VirtualRouters(_this);
        _this.virtualRouterPeerings = new operations.VirtualRouterPeerings(_this);
        _this.virtualWans = new operations.VirtualWans(_this);
        _this.vpnSites = new operations.VpnSites(_this);
        _this.vpnSiteLinks = new operations.VpnSiteLinks(_this);
        _this.vpnSitesConfiguration = new operations.VpnSitesConfiguration(_this);
        _this.vpnServerConfigurations = new operations.VpnServerConfigurations(_this);
        _this.virtualHubs = new operations.VirtualHubs(_this);
        _this.hubVirtualNetworkConnections = new operations.HubVirtualNetworkConnections(_this);
        _this.vpnGateways = new operations.VpnGateways(_this);
        _this.vpnLinkConnections = new operations.VpnLinkConnections(_this);
        _this.vpnConnections = new operations.VpnConnections(_this);
        _this.vpnSiteLinkConnections = new operations.VpnSiteLinkConnections(_this);
        _this.natRules = new operations.NatRules(_this);
        _this.p2sVpnGateways = new operations.P2sVpnGateways(_this);
        _this.vpnServerConfigurationsAssociatedWithVirtualWan = new operations.VpnServerConfigurationsAssociatedWithVirtualWan(_this);
        _this.virtualHubRouteTableV2s = new operations.VirtualHubRouteTableV2s(_this);
        _this.expressRouteGateways = new operations.ExpressRouteGateways(_this);
        _this.expressRouteConnections = new operations.ExpressRouteConnections(_this);
        _this.virtualHubBgpConnection = new operations.VirtualHubBgpConnection(_this);
        _this.virtualHubBgpConnections = new operations.VirtualHubBgpConnections(_this);
        _this.virtualHubIpConfiguration = new operations.VirtualHubIpConfiguration(_this);
        _this.hubRouteTables = new operations.HubRouteTables(_this);
        _this.webApplicationFirewallPolicies = new operations.WebApplicationFirewallPolicies(_this);
        return _this;
    }
    /**
     * Creates a Bastion Shareable Links for all the VMs specified in the request.
     * @param resourceGroupName The name of the resource group.
     * @param bastionHostName The name of the Bastion Host.
     * @param bslRequest Post request for all the Bastion Shareable Link endpoints.
     * @param [options] The optional parameters
     * @returns Promise<Models.PutBastionShareableLinkResponse>
     */
    NetworkManagementClient.prototype.putBastionShareableLink = function (resourceGroupName, bastionHostName, bslRequest, options) {
        return this.beginPutBastionShareableLink(resourceGroupName, bastionHostName, bslRequest, options).then(function (lroPoller) { return lroPoller.pollUntilFinished(); });
    };
    /**
     * Deletes the Bastion Shareable Links for all the VMs specified in the request.
     * @param resourceGroupName The name of the resource group.
     * @param bastionHostName The name of the Bastion Host.
     * @param bslRequest Post request for all the Bastion Shareable Link endpoints.
     * @param [options] The optional parameters
     * @returns Promise<msRest.RestResponse>
     */
    NetworkManagementClient.prototype.deleteBastionShareableLink = function (resourceGroupName, bastionHostName, bslRequest, options) {
        return this.beginDeleteBastionShareableLink(resourceGroupName, bastionHostName, bslRequest, options).then(function (lroPoller) { return lroPoller.pollUntilFinished(); });
    };
    NetworkManagementClient.prototype.getBastionShareableLink = function (resourceGroupName, bastionHostName, bslRequest, options, callback) {
        return this.sendOperationRequest({
            resourceGroupName: resourceGroupName,
            bastionHostName: bastionHostName,
            bslRequest: bslRequest,
            options: options
        }, getBastionShareableLinkOperationSpec, callback);
    };
    /**
     * Returns the list of currently active sessions on the Bastion.
     * @param resourceGroupName The name of the resource group.
     * @param bastionHostName The name of the Bastion Host.
     * @param [options] The optional parameters
     * @returns Promise<Models.GetActiveSessionsResponse>
     */
    NetworkManagementClient.prototype.getActiveSessions = function (resourceGroupName, bastionHostName, options) {
        return this.beginGetActiveSessions(resourceGroupName, bastionHostName, options).then(function (lroPoller) { return lroPoller.pollUntilFinished(); });
    };
    NetworkManagementClient.prototype.disconnectActiveSessions = function (resourceGroupName, bastionHostName, sessionIds, options, callback) {
        return this.sendOperationRequest({
            resourceGroupName: resourceGroupName,
            bastionHostName: bastionHostName,
            sessionIds: sessionIds,
            options: options
        }, disconnectActiveSessionsOperationSpec, callback);
    };
    NetworkManagementClient.prototype.checkDnsNameAvailability = function (location, domainNameLabel, options, callback) {
        return this.sendOperationRequest({
            location: location,
            domainNameLabel: domainNameLabel,
            options: options
        }, checkDnsNameAvailabilityOperationSpec, callback);
    };
    NetworkManagementClient.prototype.supportedSecurityProviders = function (resourceGroupName, virtualWANName, options, callback) {
        return this.sendOperationRequest({
            resourceGroupName: resourceGroupName,
            virtualWANName: virtualWANName,
            options: options
        }, supportedSecurityProvidersOperationSpec, callback);
    };
    /**
     * Generates a unique VPN profile for P2S clients for VirtualWan and associated
     * VpnServerConfiguration combination in the specified resource group.
     * @param resourceGroupName The resource group name.
     * @param virtualWANName The name of the VirtualWAN whose associated VpnServerConfigurations is
     * needed.
     * @param vpnClientParams Parameters supplied to the generate VirtualWan VPN profile generation
     * operation.
     * @param [options] The optional parameters
     * @returns Promise<Models.GeneratevirtualwanvpnserverconfigurationvpnprofileResponse>
     */
    NetworkManagementClient.prototype.generatevirtualwanvpnserverconfigurationvpnprofile = function (resourceGroupName, virtualWANName, vpnClientParams, options) {
        return this.beginGeneratevirtualwanvpnserverconfigurationvpnprofile(resourceGroupName, virtualWANName, vpnClientParams, options).then(function (lroPoller) { return lroPoller.pollUntilFinished(); });
    };
    /**
     * Creates a Bastion Shareable Links for all the VMs specified in the request.
     * @param resourceGroupName The name of the resource group.
     * @param bastionHostName The name of the Bastion Host.
     * @param bslRequest Post request for all the Bastion Shareable Link endpoints.
     * @param [options] The optional parameters
     * @returns Promise<msRestAzure.LROPoller>
     */
    NetworkManagementClient.prototype.beginPutBastionShareableLink = function (resourceGroupName, bastionHostName, bslRequest, options) {
        return this.sendLRORequest({
            resourceGroupName: resourceGroupName,
            bastionHostName: bastionHostName,
            bslRequest: bslRequest,
            options: options
        }, beginPutBastionShareableLinkOperationSpec, options);
    };
    /**
     * Deletes the Bastion Shareable Links for all the VMs specified in the request.
     * @param resourceGroupName The name of the resource group.
     * @param bastionHostName The name of the Bastion Host.
     * @param bslRequest Post request for all the Bastion Shareable Link endpoints.
     * @param [options] The optional parameters
     * @returns Promise<msRestAzure.LROPoller>
     */
    NetworkManagementClient.prototype.beginDeleteBastionShareableLink = function (resourceGroupName, bastionHostName, bslRequest, options) {
        return this.sendLRORequest({
            resourceGroupName: resourceGroupName,
            bastionHostName: bastionHostName,
            bslRequest: bslRequest,
            options: options
        }, beginDeleteBastionShareableLinkOperationSpec, options);
    };
    /**
     * Returns the list of currently active sessions on the Bastion.
     * @param resourceGroupName The name of the resource group.
     * @param bastionHostName The name of the Bastion Host.
     * @param [options] The optional parameters
     * @returns Promise<msRestAzure.LROPoller>
     */
    NetworkManagementClient.prototype.beginGetActiveSessions = function (resourceGroupName, bastionHostName, options) {
        return this.sendLRORequest({
            resourceGroupName: resourceGroupName,
            bastionHostName: bastionHostName,
            options: options
        }, beginGetActiveSessionsOperationSpec, options);
    };
    /**
     * Generates a unique VPN profile for P2S clients for VirtualWan and associated
     * VpnServerConfiguration combination in the specified resource group.
     * @param resourceGroupName The resource group name.
     * @param virtualWANName The name of the VirtualWAN whose associated VpnServerConfigurations is
     * needed.
     * @param vpnClientParams Parameters supplied to the generate VirtualWan VPN profile generation
     * operation.
     * @param [options] The optional parameters
     * @returns Promise<msRestAzure.LROPoller>
     */
    NetworkManagementClient.prototype.beginGeneratevirtualwanvpnserverconfigurationvpnprofile = function (resourceGroupName, virtualWANName, vpnClientParams, options) {
        return this.sendLRORequest({
            resourceGroupName: resourceGroupName,
            virtualWANName: virtualWANName,
            vpnClientParams: vpnClientParams,
            options: options
        }, beginGeneratevirtualwanvpnserverconfigurationvpnprofileOperationSpec, options);
    };
    /**
     * Creates a Bastion Shareable Links for all the VMs specified in the request.
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param [options] The optional parameters
     * @returns Promise<Models.PutBastionShareableLinkNextResponse>
     */
    NetworkManagementClient.prototype.putBastionShareableLinkNext = function (nextPageLink, options) {
        return this.beginPutBastionShareableLinkNext(nextPageLink, options).then(function (lroPoller) {
            return lroPoller.pollUntilFinished();
        });
    };
    NetworkManagementClient.prototype.getBastionShareableLinkNext = function (nextPageLink, options, callback) {
        return this.sendOperationRequest({
            nextPageLink: nextPageLink,
            options: options
        }, getBastionShareableLinkNextOperationSpec, callback);
    };
    /**
     * Returns the list of currently active sessions on the Bastion.
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param [options] The optional parameters
     * @returns Promise<Models.GetActiveSessionsNextResponse>
     */
    NetworkManagementClient.prototype.getActiveSessionsNext = function (nextPageLink, options) {
        return this.beginGetActiveSessionsNext(nextPageLink, options).then(function (lroPoller) {
            return lroPoller.pollUntilFinished();
        });
    };
    NetworkManagementClient.prototype.disconnectActiveSessionsNext = function (nextPageLink, options, callback) {
        return this.sendOperationRequest({
            nextPageLink: nextPageLink,
            options: options
        }, disconnectActiveSessionsNextOperationSpec, callback);
    };
    /**
     * Creates a Bastion Shareable Links for all the VMs specified in the request.
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param [options] The optional parameters
     * @returns Promise<msRestAzure.LROPoller>
     */
    NetworkManagementClient.prototype.beginPutBastionShareableLinkNext = function (nextPageLink, options) {
        return this.sendLRORequest({
            nextPageLink: nextPageLink,
            options: options
        }, beginPutBastionShareableLinkNextOperationSpec, options);
    };
    /**
     * Returns the list of currently active sessions on the Bastion.
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param [options] The optional parameters
     * @returns Promise<msRestAzure.LROPoller>
     */
    NetworkManagementClient.prototype.beginGetActiveSessionsNext = function (nextPageLink, options) {
        return this.sendLRORequest({
            nextPageLink: nextPageLink,
            options: options
        }, beginGetActiveSessionsNextOperationSpec, options);
    };
    return NetworkManagementClient;
}(NetworkManagementClientContext));
// Operation Specifications
var serializer = new msRest.Serializer(Mappers);
var getBastionShareableLinkOperationSpec = {
    httpMethod: "POST",
    path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts/{bastionHostName}/getShareableLinks",
    urlParameters: [
        Parameters.resourceGroupName,
        Parameters.bastionHostName,
        Parameters.subscriptionId
    ],
    queryParameters: [Parameters.apiVersion0],
    headerParameters: [Parameters.acceptLanguage],
    requestBody: {
        parameterPath: "bslRequest",
        mapper: __assign(__assign({}, Mappers.BastionShareableLinkListRequest), { required: true })
    },
    responses: {
        200: {
            bodyMapper: Mappers.BastionShareableLinkListResult
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var disconnectActiveSessionsOperationSpec = {
    httpMethod: "POST",
    path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts/{bastionHostName}/disconnectActiveSessions",
    urlParameters: [
        Parameters.resourceGroupName,
        Parameters.bastionHostName,
        Parameters.subscriptionId
    ],
    queryParameters: [Parameters.apiVersion0],
    headerParameters: [Parameters.acceptLanguage],
    requestBody: {
        parameterPath: "sessionIds",
        mapper: __assign(__assign({}, Mappers.SessionIds), { required: true })
    },
    responses: {
        200: {
            bodyMapper: Mappers.BastionSessionDeleteResult
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var checkDnsNameAvailabilityOperationSpec = {
    httpMethod: "GET",
    path: "subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/CheckDnsNameAvailability",
    urlParameters: [Parameters.location0, Parameters.subscriptionId],
    queryParameters: [Parameters.domainNameLabel, Parameters.apiVersion0],
    headerParameters: [Parameters.acceptLanguage],
    responses: {
        200: {
            bodyMapper: Mappers.DnsNameAvailabilityResult
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var supportedSecurityProvidersOperationSpec = {
    httpMethod: "GET",
    path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualWans/{virtualWANName}/supportedSecurityProviders",
    urlParameters: [
        Parameters.subscriptionId,
        Parameters.resourceGroupName,
        Parameters.virtualWANName0
    ],
    queryParameters: [Parameters.apiVersion0],
    headerParameters: [Parameters.acceptLanguage],
    responses: {
        200: {
            bodyMapper: Mappers.VirtualWanSecurityProviders
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var beginPutBastionShareableLinkOperationSpec = {
    httpMethod: "POST",
    path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts/{bastionHostName}/createShareableLinks",
    urlParameters: [
        Parameters.resourceGroupName,
        Parameters.bastionHostName,
        Parameters.subscriptionId
    ],
    queryParameters: [Parameters.apiVersion0],
    headerParameters: [Parameters.acceptLanguage],
    requestBody: {
        parameterPath: "bslRequest",
        mapper: __assign(__assign({}, Mappers.BastionShareableLinkListRequest), { required: true })
    },
    responses: {
        200: {
            bodyMapper: Mappers.BastionShareableLinkListResult
        },
        202: {},
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var beginDeleteBastionShareableLinkOperationSpec = {
    httpMethod: "POST",
    path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts/{bastionHostName}/deleteShareableLinks",
    urlParameters: [
        Parameters.resourceGroupName,
        Parameters.bastionHostName,
        Parameters.subscriptionId
    ],
    queryParameters: [Parameters.apiVersion0],
    headerParameters: [Parameters.acceptLanguage],
    requestBody: {
        parameterPath: "bslRequest",
        mapper: __assign(__assign({}, Mappers.BastionShareableLinkListRequest), { required: true })
    },
    responses: {
        200: {},
        202: {},
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var beginGetActiveSessionsOperationSpec = {
    httpMethod: "POST",
    path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/bastionHosts/{bastionHostName}/getActiveSessions",
    urlParameters: [
        Parameters.resourceGroupName,
        Parameters.bastionHostName,
        Parameters.subscriptionId
    ],
    queryParameters: [Parameters.apiVersion0],
    headerParameters: [Parameters.acceptLanguage],
    responses: {
        200: {
            bodyMapper: Mappers.BastionActiveSessionListResult
        },
        202: {},
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var beginGeneratevirtualwanvpnserverconfigurationvpnprofileOperationSpec = {
    httpMethod: "POST",
    path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualWans/{virtualWANName}/GenerateVpnProfile",
    urlParameters: [
        Parameters.subscriptionId,
        Parameters.resourceGroupName,
        Parameters.virtualWANName0
    ],
    queryParameters: [Parameters.apiVersion0],
    headerParameters: [Parameters.acceptLanguage],
    requestBody: {
        parameterPath: "vpnClientParams",
        mapper: __assign(__assign({}, Mappers.VirtualWanVpnProfileParameters), { required: true })
    },
    responses: {
        200: {
            bodyMapper: Mappers.VpnProfileResponse
        },
        202: {},
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var getBastionShareableLinkNextOperationSpec = {
    httpMethod: "POST",
    baseUrl: "https://management.azure.com",
    path: "{nextLink}",
    urlParameters: [Parameters.nextPageLink],
    queryParameters: [Parameters.apiVersion0],
    headerParameters: [Parameters.acceptLanguage],
    responses: {
        200: {
            bodyMapper: Mappers.BastionShareableLinkListResult
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var disconnectActiveSessionsNextOperationSpec = {
    httpMethod: "POST",
    baseUrl: "https://management.azure.com",
    path: "{nextLink}",
    urlParameters: [Parameters.nextPageLink],
    queryParameters: [Parameters.apiVersion0],
    headerParameters: [Parameters.acceptLanguage],
    responses: {
        200: {
            bodyMapper: Mappers.BastionSessionDeleteResult
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var beginPutBastionShareableLinkNextOperationSpec = {
    httpMethod: "POST",
    baseUrl: "https://management.azure.com",
    path: "{nextLink}",
    urlParameters: [Parameters.nextPageLink],
    queryParameters: [Parameters.apiVersion0],
    headerParameters: [Parameters.acceptLanguage],
    responses: {
        200: {
            bodyMapper: Mappers.BastionShareableLinkListResult
        },
        202: {},
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var beginGetActiveSessionsNextOperationSpec = {
    httpMethod: "POST",
    baseUrl: "https://management.azure.com",
    path: "{nextLink}",
    urlParameters: [Parameters.nextPageLink],
    queryParameters: [Parameters.apiVersion0],
    headerParameters: [Parameters.acceptLanguage],
    responses: {
        200: {
            bodyMapper: Mappers.BastionActiveSessionListResult
        },
        202: {},
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
export { NetworkManagementClient, NetworkManagementClientContext, Models as NetworkManagementModels, Mappers as NetworkManagementMappers };
export * from "./operations";
//# sourceMappingURL=networkManagementClient.js.map