/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */
import * as msRest from "@azure/ms-rest-js";
import * as Mappers from "../models/azureFirewallFqdnTagsMappers";
import * as Parameters from "../models/parameters";
/** Class representing a AzureFirewallFqdnTags. */
var AzureFirewallFqdnTags = /** @class */ (function () {
    /**
     * Create a AzureFirewallFqdnTags.
     * @param {NetworkManagementClientContext} client Reference to the service client.
     */
    function AzureFirewallFqdnTags(client) {
        this.client = client;
    }
    AzureFirewallFqdnTags.prototype.listAll = function (options, callback) {
        return this.client.sendOperationRequest({
            options: options
        }, listAllOperationSpec, callback);
    };
    AzureFirewallFqdnTags.prototype.listAllNext = function (nextPageLink, options, callback) {
        return this.client.sendOperationRequest({
            nextPageLink: nextPageLink,
            options: options
        }, listAllNextOperationSpec, callback);
    };
    return AzureFirewallFqdnTags;
}());
export { AzureFirewallFqdnTags };
// Operation Specifications
var serializer = new msRest.Serializer(Mappers);
var listAllOperationSpec = {
    httpMethod: "GET",
    path: "subscriptions/{subscriptionId}/providers/Microsoft.Network/azureFirewallFqdnTags",
    urlParameters: [
        Parameters.subscriptionId
    ],
    queryParameters: [
        Parameters.apiVersion0
    ],
    headerParameters: [
        Parameters.acceptLanguage
    ],
    responses: {
        200: {
            bodyMapper: Mappers.AzureFirewallFqdnTagListResult
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var listAllNextOperationSpec = {
    httpMethod: "GET",
    baseUrl: "https://management.azure.com",
    path: "{nextLink}",
    urlParameters: [
        Parameters.nextPageLink
    ],
    queryParameters: [
        Parameters.apiVersion0
    ],
    headerParameters: [
        Parameters.acceptLanguage
    ],
    responses: {
        200: {
            bodyMapper: Mappers.AzureFirewallFqdnTagListResult
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
//# sourceMappingURL=azureFirewallFqdnTags.js.map