/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */
import * as msRest from "@azure/ms-rest-js";
import * as Mappers from "../models/resourceNavigationLinksMappers";
import * as Parameters from "../models/parameters";
/** Class representing a ResourceNavigationLinks. */
var ResourceNavigationLinks = /** @class */ (function () {
    /**
     * Create a ResourceNavigationLinks.
     * @param {NetworkManagementClientContext} client Reference to the service client.
     */
    function ResourceNavigationLinks(client) {
        this.client = client;
    }
    ResourceNavigationLinks.prototype.list = function (resourceGroupName, virtualNetworkName, subnetName, options, callback) {
        return this.client.sendOperationRequest({
            resourceGroupName: resourceGroupName,
            virtualNetworkName: virtualNetworkName,
            subnetName: subnetName,
            options: options
        }, listOperationSpec, callback);
    };
    return ResourceNavigationLinks;
}());
export { ResourceNavigationLinks };
// Operation Specifications
var serializer = new msRest.Serializer(Mappers);
var listOperationSpec = {
    httpMethod: "GET",
    path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/subnets/{subnetName}/ResourceNavigationLinks",
    urlParameters: [
        Parameters.resourceGroupName,
        Parameters.virtualNetworkName,
        Parameters.subnetName,
        Parameters.subscriptionId
    ],
    queryParameters: [
        Parameters.apiVersion0
    ],
    headerParameters: [
        Parameters.acceptLanguage
    ],
    responses: {
        200: {
            bodyMapper: Mappers.ResourceNavigationLinksListResult
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
//# sourceMappingURL=resourceNavigationLinks.js.map