import * as msRest from "@azure/ms-rest-js";
import * as Models from "../models";
import { NetworkManagementClientContext } from "../networkManagementClientContext";
/** Class representing a Usages. */
export declare class Usages {
    private readonly client;
    /**
     * Create a Usages.
     * @param {NetworkManagementClientContext} client Reference to the service client.
     */
    constructor(client: NetworkManagementClientContext);
    /**
     * List network usages for a subscription.
     * @param location The location where resource usage is queried.
     * @param [options] The optional parameters
     * @returns Promise<Models.UsagesListResponse>
     */
    list(location: string, options?: msRest.RequestOptionsBase): Promise<Models.UsagesListResponse>;
    /**
     * @param location The location where resource usage is queried.
     * @param callback The callback
     */
    list(location: string, callback: msRest.ServiceCallback<Models.UsagesListResult>): void;
    /**
     * @param location The location where resource usage is queried.
     * @param options The optional parameters
     * @param callback The callback
     */
    list(location: string, options: msRest.RequestOptionsBase, callback: msRest.ServiceCallback<Models.UsagesListResult>): void;
    /**
     * List network usages for a subscription.
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param [options] The optional parameters
     * @returns Promise<Models.UsagesListNextResponse>
     */
    listNext(nextPageLink: string, options?: msRest.RequestOptionsBase): Promise<Models.UsagesListNextResponse>;
    /**
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param callback The callback
     */
    listNext(nextPageLink: string, callback: msRest.ServiceCallback<Models.UsagesListResult>): void;
    /**
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param options The optional parameters
     * @param callback The callback
     */
    listNext(nextPageLink: string, options: msRest.RequestOptionsBase, callback: msRest.ServiceCallback<Models.UsagesListResult>): void;
}
//# sourceMappingURL=usages.d.ts.map