import * as msRest from "@azure/ms-rest-js";
import * as Models from "../models";
import { NetworkManagementClientContext } from "../networkManagementClientContext";
/** Class representing a VpnSiteLinkConnections. */
export declare class VpnSiteLinkConnections {
    private readonly client;
    /**
     * Create a VpnSiteLinkConnections.
     * @param {NetworkManagementClientContext} client Reference to the service client.
     */
    constructor(client: NetworkManagementClientContext);
    /**
     * Retrieves the details of a vpn site link connection.
     * @param resourceGroupName The resource group name of the VpnGateway.
     * @param gatewayName The name of the gateway.
     * @param connectionName The name of the vpn connection.
     * @param linkConnectionName The name of the vpn connection.
     * @param [options] The optional parameters
     * @returns Promise<Models.VpnSiteLinkConnectionsGetResponse>
     */
    get(resourceGroupName: string, gatewayName: string, connectionName: string, linkConnectionName: string, options?: msRest.RequestOptionsBase): Promise<Models.VpnSiteLinkConnectionsGetResponse>;
    /**
     * @param resourceGroupName The resource group name of the VpnGateway.
     * @param gatewayName The name of the gateway.
     * @param connectionName The name of the vpn connection.
     * @param linkConnectionName The name of the vpn connection.
     * @param callback The callback
     */
    get(resourceGroupName: string, gatewayName: string, connectionName: string, linkConnectionName: string, callback: msRest.ServiceCallback<Models.VpnSiteLinkConnection>): void;
    /**
     * @param resourceGroupName The resource group name of the VpnGateway.
     * @param gatewayName The name of the gateway.
     * @param connectionName The name of the vpn connection.
     * @param linkConnectionName The name of the vpn connection.
     * @param options The optional parameters
     * @param callback The callback
     */
    get(resourceGroupName: string, gatewayName: string, connectionName: string, linkConnectionName: string, options: msRest.RequestOptionsBase, callback: msRest.ServiceCallback<Models.VpnSiteLinkConnection>): void;
}
//# sourceMappingURL=vpnSiteLinkConnections.d.ts.map