/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@azure/ms-rest-azure-js'), require('@azure/ms-rest-js')) :
    typeof define === 'function' && define.amd ? define(['exports', '@azure/ms-rest-azure-js', '@azure/ms-rest-js'], factory) :
    (global = global || self, factory((global.Azure = global.Azure || {}, global.Azure.ArmPrivatedns = {}), global.msRestAzure, global.msRest));
}(this, (function (exports, msRestAzure, msRest) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    /*
     * Copyright (c) Microsoft Corporation. All rights reserved.
     * Licensed under the MIT License. See License.txt in the project root for license information.
     *
     * Code generated by Microsoft (R) AutoRest Code Generator.
     * Changes may cause incorrect behavior and will be lost if the code is regenerated.
     */

    var index = /*#__PURE__*/Object.freeze({
        __proto__: null
    });

    /*
     * Copyright (c) Microsoft Corporation. All rights reserved.
     * Licensed under the MIT License. See License.txt in the project root for license information.
     *
     * Code generated by Microsoft (R) AutoRest Code Generator.
     * Changes may cause incorrect behavior and will be lost if the code is regenerated.
     */
    var CloudError = msRestAzure.CloudErrorMapper;
    var BaseResource = msRestAzure.BaseResourceMapper;
    var Resource = {
        serializedName: "Resource",
        type: {
            name: "Composite",
            className: "Resource",
            modelProperties: {
                id: {
                    readOnly: true,
                    serializedName: "id",
                    type: {
                        name: "String"
                    }
                },
                name: {
                    readOnly: true,
                    serializedName: "name",
                    type: {
                        name: "String"
                    }
                },
                type: {
                    readOnly: true,
                    serializedName: "type",
                    type: {
                        name: "String"
                    }
                }
            }
        }
    };
    var TrackedResource = {
        serializedName: "TrackedResource",
        type: {
            name: "Composite",
            className: "TrackedResource",
            modelProperties: __assign(__assign({}, Resource.type.modelProperties), { tags: {
                    serializedName: "tags",
                    type: {
                        name: "Dictionary",
                        value: {
                            type: {
                                name: "String"
                            }
                        }
                    }
                }, location: {
                    serializedName: "location",
                    type: {
                        name: "String"
                    }
                } })
        }
    };
    var PrivateZone = {
        serializedName: "PrivateZone",
        type: {
            name: "Composite",
            className: "PrivateZone",
            modelProperties: __assign(__assign({}, TrackedResource.type.modelProperties), { etag: {
                    serializedName: "etag",
                    type: {
                        name: "String"
                    }
                }, maxNumberOfRecordSets: {
                    readOnly: true,
                    serializedName: "properties.maxNumberOfRecordSets",
                    type: {
                        name: "Number"
                    }
                }, numberOfRecordSets: {
                    readOnly: true,
                    serializedName: "properties.numberOfRecordSets",
                    type: {
                        name: "Number"
                    }
                }, maxNumberOfVirtualNetworkLinks: {
                    readOnly: true,
                    serializedName: "properties.maxNumberOfVirtualNetworkLinks",
                    type: {
                        name: "Number"
                    }
                }, numberOfVirtualNetworkLinks: {
                    readOnly: true,
                    serializedName: "properties.numberOfVirtualNetworkLinks",
                    type: {
                        name: "Number"
                    }
                }, maxNumberOfVirtualNetworkLinksWithRegistration: {
                    readOnly: true,
                    serializedName: "properties.maxNumberOfVirtualNetworkLinksWithRegistration",
                    type: {
                        name: "Number"
                    }
                }, numberOfVirtualNetworkLinksWithRegistration: {
                    readOnly: true,
                    serializedName: "properties.numberOfVirtualNetworkLinksWithRegistration",
                    type: {
                        name: "Number"
                    }
                }, provisioningState: {
                    readOnly: true,
                    serializedName: "properties.provisioningState",
                    type: {
                        name: "String"
                    }
                } })
        }
    };
    var SubResource = {
        serializedName: "SubResource",
        type: {
            name: "Composite",
            className: "SubResource",
            modelProperties: {
                id: {
                    serializedName: "id",
                    type: {
                        name: "String"
                    }
                }
            }
        }
    };
    var VirtualNetworkLink = {
        serializedName: "VirtualNetworkLink",
        type: {
            name: "Composite",
            className: "VirtualNetworkLink",
            modelProperties: __assign(__assign({}, TrackedResource.type.modelProperties), { etag: {
                    serializedName: "etag",
                    type: {
                        name: "String"
                    }
                }, virtualNetwork: {
                    serializedName: "properties.virtualNetwork",
                    type: {
                        name: "Composite",
                        className: "SubResource"
                    }
                }, registrationEnabled: {
                    serializedName: "properties.registrationEnabled",
                    type: {
                        name: "Boolean"
                    }
                }, virtualNetworkLinkState: {
                    readOnly: true,
                    serializedName: "properties.virtualNetworkLinkState",
                    type: {
                        name: "String"
                    }
                }, provisioningState: {
                    readOnly: true,
                    serializedName: "properties.provisioningState",
                    type: {
                        name: "String"
                    }
                } })
        }
    };
    var ARecord = {
        serializedName: "ARecord",
        type: {
            name: "Composite",
            className: "ARecord",
            modelProperties: {
                ipv4Address: {
                    serializedName: "ipv4Address",
                    type: {
                        name: "String"
                    }
                }
            }
        }
    };
    var AaaaRecord = {
        serializedName: "AaaaRecord",
        type: {
            name: "Composite",
            className: "AaaaRecord",
            modelProperties: {
                ipv6Address: {
                    serializedName: "ipv6Address",
                    type: {
                        name: "String"
                    }
                }
            }
        }
    };
    var CnameRecord = {
        serializedName: "CnameRecord",
        type: {
            name: "Composite",
            className: "CnameRecord",
            modelProperties: {
                cname: {
                    serializedName: "cname",
                    type: {
                        name: "String"
                    }
                }
            }
        }
    };
    var MxRecord = {
        serializedName: "MxRecord",
        type: {
            name: "Composite",
            className: "MxRecord",
            modelProperties: {
                preference: {
                    serializedName: "preference",
                    type: {
                        name: "Number"
                    }
                },
                exchange: {
                    serializedName: "exchange",
                    type: {
                        name: "String"
                    }
                }
            }
        }
    };
    var PtrRecord = {
        serializedName: "PtrRecord",
        type: {
            name: "Composite",
            className: "PtrRecord",
            modelProperties: {
                ptrdname: {
                    serializedName: "ptrdname",
                    type: {
                        name: "String"
                    }
                }
            }
        }
    };
    var SoaRecord = {
        serializedName: "SoaRecord",
        type: {
            name: "Composite",
            className: "SoaRecord",
            modelProperties: {
                host: {
                    serializedName: "host",
                    type: {
                        name: "String"
                    }
                },
                email: {
                    serializedName: "email",
                    type: {
                        name: "String"
                    }
                },
                serialNumber: {
                    serializedName: "serialNumber",
                    type: {
                        name: "Number"
                    }
                },
                refreshTime: {
                    serializedName: "refreshTime",
                    type: {
                        name: "Number"
                    }
                },
                retryTime: {
                    serializedName: "retryTime",
                    type: {
                        name: "Number"
                    }
                },
                expireTime: {
                    serializedName: "expireTime",
                    type: {
                        name: "Number"
                    }
                },
                minimumTtl: {
                    serializedName: "minimumTtl",
                    type: {
                        name: "Number"
                    }
                }
            }
        }
    };
    var SrvRecord = {
        serializedName: "SrvRecord",
        type: {
            name: "Composite",
            className: "SrvRecord",
            modelProperties: {
                priority: {
                    serializedName: "priority",
                    type: {
                        name: "Number"
                    }
                },
                weight: {
                    serializedName: "weight",
                    type: {
                        name: "Number"
                    }
                },
                port: {
                    serializedName: "port",
                    type: {
                        name: "Number"
                    }
                },
                target: {
                    serializedName: "target",
                    type: {
                        name: "String"
                    }
                }
            }
        }
    };
    var TxtRecord = {
        serializedName: "TxtRecord",
        type: {
            name: "Composite",
            className: "TxtRecord",
            modelProperties: {
                value: {
                    serializedName: "value",
                    type: {
                        name: "Sequence",
                        element: {
                            type: {
                                name: "String"
                            }
                        }
                    }
                }
            }
        }
    };
    var ProxyResource = {
        serializedName: "ProxyResource",
        type: {
            name: "Composite",
            className: "ProxyResource",
            modelProperties: __assign({}, Resource.type.modelProperties)
        }
    };
    var RecordSet = {
        serializedName: "RecordSet",
        type: {
            name: "Composite",
            className: "RecordSet",
            modelProperties: __assign(__assign({}, ProxyResource.type.modelProperties), { etag: {
                    serializedName: "etag",
                    type: {
                        name: "String"
                    }
                }, metadata: {
                    serializedName: "properties.metadata",
                    type: {
                        name: "Dictionary",
                        value: {
                            type: {
                                name: "String"
                            }
                        }
                    }
                }, ttl: {
                    serializedName: "properties.ttl",
                    type: {
                        name: "Number"
                    }
                }, fqdn: {
                    readOnly: true,
                    serializedName: "properties.fqdn",
                    type: {
                        name: "String"
                    }
                }, isAutoRegistered: {
                    readOnly: true,
                    serializedName: "properties.isAutoRegistered",
                    type: {
                        name: "Boolean"
                    }
                }, aRecords: {
                    serializedName: "properties.aRecords",
                    type: {
                        name: "Sequence",
                        element: {
                            type: {
                                name: "Composite",
                                className: "ARecord"
                            }
                        }
                    }
                }, aaaaRecords: {
                    serializedName: "properties.aaaaRecords",
                    type: {
                        name: "Sequence",
                        element: {
                            type: {
                                name: "Composite",
                                className: "AaaaRecord"
                            }
                        }
                    }
                }, cnameRecord: {
                    serializedName: "properties.cnameRecord",
                    type: {
                        name: "Composite",
                        className: "CnameRecord"
                    }
                }, mxRecords: {
                    serializedName: "properties.mxRecords",
                    type: {
                        name: "Sequence",
                        element: {
                            type: {
                                name: "Composite",
                                className: "MxRecord"
                            }
                        }
                    }
                }, ptrRecords: {
                    serializedName: "properties.ptrRecords",
                    type: {
                        name: "Sequence",
                        element: {
                            type: {
                                name: "Composite",
                                className: "PtrRecord"
                            }
                        }
                    }
                }, soaRecord: {
                    serializedName: "properties.soaRecord",
                    type: {
                        name: "Composite",
                        className: "SoaRecord"
                    }
                }, srvRecords: {
                    serializedName: "properties.srvRecords",
                    type: {
                        name: "Sequence",
                        element: {
                            type: {
                                name: "Composite",
                                className: "SrvRecord"
                            }
                        }
                    }
                }, txtRecords: {
                    serializedName: "properties.txtRecords",
                    type: {
                        name: "Sequence",
                        element: {
                            type: {
                                name: "Composite",
                                className: "TxtRecord"
                            }
                        }
                    }
                } })
        }
    };
    var PrivateZoneListResult = {
        serializedName: "PrivateZoneListResult",
        type: {
            name: "Composite",
            className: "PrivateZoneListResult",
            modelProperties: {
                value: {
                    serializedName: "",
                    type: {
                        name: "Sequence",
                        element: {
                            type: {
                                name: "Composite",
                                className: "PrivateZone"
                            }
                        }
                    }
                },
                nextLink: {
                    readOnly: true,
                    serializedName: "nextLink",
                    type: {
                        name: "String"
                    }
                }
            }
        }
    };
    var VirtualNetworkLinkListResult = {
        serializedName: "VirtualNetworkLinkListResult",
        type: {
            name: "Composite",
            className: "VirtualNetworkLinkListResult",
            modelProperties: {
                value: {
                    serializedName: "",
                    type: {
                        name: "Sequence",
                        element: {
                            type: {
                                name: "Composite",
                                className: "VirtualNetworkLink"
                            }
                        }
                    }
                },
                nextLink: {
                    readOnly: true,
                    serializedName: "nextLink",
                    type: {
                        name: "String"
                    }
                }
            }
        }
    };
    var RecordSetListResult = {
        serializedName: "RecordSetListResult",
        type: {
            name: "Composite",
            className: "RecordSetListResult",
            modelProperties: {
                value: {
                    serializedName: "",
                    type: {
                        name: "Sequence",
                        element: {
                            type: {
                                name: "Composite",
                                className: "RecordSet"
                            }
                        }
                    }
                },
                nextLink: {
                    readOnly: true,
                    serializedName: "nextLink",
                    type: {
                        name: "String"
                    }
                }
            }
        }
    };

    var mappers = /*#__PURE__*/Object.freeze({
        __proto__: null,
        CloudError: CloudError,
        BaseResource: BaseResource,
        Resource: Resource,
        TrackedResource: TrackedResource,
        PrivateZone: PrivateZone,
        SubResource: SubResource,
        VirtualNetworkLink: VirtualNetworkLink,
        ARecord: ARecord,
        AaaaRecord: AaaaRecord,
        CnameRecord: CnameRecord,
        MxRecord: MxRecord,
        PtrRecord: PtrRecord,
        SoaRecord: SoaRecord,
        SrvRecord: SrvRecord,
        TxtRecord: TxtRecord,
        ProxyResource: ProxyResource,
        RecordSet: RecordSet,
        PrivateZoneListResult: PrivateZoneListResult,
        VirtualNetworkLinkListResult: VirtualNetworkLinkListResult,
        RecordSetListResult: RecordSetListResult
    });

    /*
     * Copyright (c) Microsoft Corporation. All rights reserved.
     * Licensed under the MIT License. See License.txt in the project root for license information.
     *
     * Code generated by Microsoft (R) AutoRest Code Generator.
     * Changes may cause incorrect behavior and will be lost if the code is regenerated.
     */

    var Mappers = /*#__PURE__*/Object.freeze({
        __proto__: null,
        AaaaRecord: AaaaRecord,
        ARecord: ARecord,
        BaseResource: BaseResource,
        CloudError: CloudError,
        CnameRecord: CnameRecord,
        MxRecord: MxRecord,
        PrivateZone: PrivateZone,
        PrivateZoneListResult: PrivateZoneListResult,
        ProxyResource: ProxyResource,
        PtrRecord: PtrRecord,
        RecordSet: RecordSet,
        Resource: Resource,
        SoaRecord: SoaRecord,
        SrvRecord: SrvRecord,
        SubResource: SubResource,
        TrackedResource: TrackedResource,
        TxtRecord: TxtRecord,
        VirtualNetworkLink: VirtualNetworkLink
    });

    /*
     * Copyright (c) Microsoft Corporation. All rights reserved.
     * Licensed under the MIT License. See License.txt in the project root for
     * license information.
     *
     * Code generated by Microsoft (R) AutoRest Code Generator.
     * Changes may cause incorrect behavior and will be lost if the code is
     * regenerated.
     */
    var acceptLanguage = {
        parameterPath: "acceptLanguage",
        mapper: {
            serializedName: "accept-language",
            defaultValue: 'en-US',
            type: {
                name: "String"
            }
        }
    };
    var apiVersion = {
        parameterPath: "apiVersion",
        mapper: {
            required: true,
            serializedName: "api-version",
            type: {
                name: "String"
            }
        }
    };
    var ifMatch = {
        parameterPath: [
            "options",
            "ifMatch"
        ],
        mapper: {
            serializedName: "If-Match",
            type: {
                name: "String"
            }
        }
    };
    var ifNoneMatch = {
        parameterPath: [
            "options",
            "ifNoneMatch"
        ],
        mapper: {
            serializedName: "If-None-Match",
            type: {
                name: "String"
            }
        }
    };
    var nextPageLink = {
        parameterPath: "nextPageLink",
        mapper: {
            required: true,
            serializedName: "nextLink",
            type: {
                name: "String"
            }
        },
        skipEncoding: true
    };
    var privateZoneName = {
        parameterPath: "privateZoneName",
        mapper: {
            required: true,
            serializedName: "privateZoneName",
            type: {
                name: "String"
            }
        }
    };
    var recordsetnamesuffix = {
        parameterPath: [
            "options",
            "recordsetnamesuffix"
        ],
        mapper: {
            serializedName: "$recordsetnamesuffix",
            type: {
                name: "String"
            }
        }
    };
    var recordType = {
        parameterPath: "recordType",
        mapper: {
            required: true,
            serializedName: "recordType",
            type: {
                name: "Enum",
                allowedValues: [
                    "A",
                    "AAAA",
                    "CNAME",
                    "MX",
                    "PTR",
                    "SOA",
                    "SRV",
                    "TXT"
                ]
            }
        }
    };
    var relativeRecordSetName = {
        parameterPath: "relativeRecordSetName",
        mapper: {
            required: true,
            serializedName: "relativeRecordSetName",
            type: {
                name: "String"
            }
        },
        skipEncoding: true
    };
    var resourceGroupName = {
        parameterPath: "resourceGroupName",
        mapper: {
            required: true,
            serializedName: "resourceGroupName",
            type: {
                name: "String"
            }
        }
    };
    var subscriptionId = {
        parameterPath: "subscriptionId",
        mapper: {
            required: true,
            serializedName: "subscriptionId",
            type: {
                name: "String"
            }
        }
    };
    var top = {
        parameterPath: [
            "options",
            "top"
        ],
        mapper: {
            serializedName: "$top",
            type: {
                name: "Number"
            }
        }
    };
    var virtualNetworkLinkName = {
        parameterPath: "virtualNetworkLinkName",
        mapper: {
            required: true,
            serializedName: "virtualNetworkLinkName",
            type: {
                name: "String"
            }
        }
    };

    /*
     * Copyright (c) Microsoft Corporation. All rights reserved.
     * Licensed under the MIT License. See License.txt in the project root for
     * license information.
     *
     * Code generated by Microsoft (R) AutoRest Code Generator.
     * Changes may cause incorrect behavior and will be lost if the code is
     * regenerated.
     */
    /** Class representing a PrivateZones. */
    var PrivateZones = /** @class */ (function () {
        /**
         * Create a PrivateZones.
         * @param {PrivateDnsManagementClientContext} client Reference to the service client.
         */
        function PrivateZones(client) {
            this.client = client;
        }
        /**
         * Creates or updates a Private DNS zone. Does not modify Links to virtual networks or DNS records
         * within the zone.
         * @param resourceGroupName The name of the resource group.
         * @param privateZoneName The name of the Private DNS zone (without a terminating dot).
         * @param parameters Parameters supplied to the CreateOrUpdate operation.
         * @param [options] The optional parameters
         * @returns Promise<Models.PrivateZonesCreateOrUpdateResponse>
         */
        PrivateZones.prototype.createOrUpdate = function (resourceGroupName, privateZoneName, parameters, options) {
            return this.beginCreateOrUpdate(resourceGroupName, privateZoneName, parameters, options)
                .then(function (lroPoller) { return lroPoller.pollUntilFinished(); });
        };
        /**
         * Updates a Private DNS zone. Does not modify virtual network links or DNS records within the
         * zone.
         * @param resourceGroupName The name of the resource group.
         * @param privateZoneName The name of the Private DNS zone (without a terminating dot).
         * @param parameters Parameters supplied to the Update operation.
         * @param [options] The optional parameters
         * @returns Promise<Models.PrivateZonesUpdateResponse>
         */
        PrivateZones.prototype.update = function (resourceGroupName, privateZoneName, parameters, options) {
            return this.beginUpdate(resourceGroupName, privateZoneName, parameters, options)
                .then(function (lroPoller) { return lroPoller.pollUntilFinished(); });
        };
        /**
         * Deletes a Private DNS zone. WARNING: All DNS records in the zone will also be deleted. This
         * operation cannot be undone. Private DNS zone cannot be deleted unless all virtual network links
         * to it are removed.
         * @param resourceGroupName The name of the resource group.
         * @param privateZoneName The name of the Private DNS zone (without a terminating dot).
         * @param [options] The optional parameters
         * @returns Promise<msRest.RestResponse>
         */
        PrivateZones.prototype.deleteMethod = function (resourceGroupName, privateZoneName, options) {
            return this.beginDeleteMethod(resourceGroupName, privateZoneName, options)
                .then(function (lroPoller) { return lroPoller.pollUntilFinished(); });
        };
        PrivateZones.prototype.get = function (resourceGroupName, privateZoneName, options, callback) {
            return this.client.sendOperationRequest({
                resourceGroupName: resourceGroupName,
                privateZoneName: privateZoneName,
                options: options
            }, getOperationSpec, callback);
        };
        PrivateZones.prototype.list = function (options, callback) {
            return this.client.sendOperationRequest({
                options: options
            }, listOperationSpec, callback);
        };
        PrivateZones.prototype.listByResourceGroup = function (resourceGroupName, options, callback) {
            return this.client.sendOperationRequest({
                resourceGroupName: resourceGroupName,
                options: options
            }, listByResourceGroupOperationSpec, callback);
        };
        /**
         * Creates or updates a Private DNS zone. Does not modify Links to virtual networks or DNS records
         * within the zone.
         * @param resourceGroupName The name of the resource group.
         * @param privateZoneName The name of the Private DNS zone (without a terminating dot).
         * @param parameters Parameters supplied to the CreateOrUpdate operation.
         * @param [options] The optional parameters
         * @returns Promise<msRestAzure.LROPoller>
         */
        PrivateZones.prototype.beginCreateOrUpdate = function (resourceGroupName, privateZoneName, parameters, options) {
            return this.client.sendLRORequest({
                resourceGroupName: resourceGroupName,
                privateZoneName: privateZoneName,
                parameters: parameters,
                options: options
            }, beginCreateOrUpdateOperationSpec, options);
        };
        /**
         * Updates a Private DNS zone. Does not modify virtual network links or DNS records within the
         * zone.
         * @param resourceGroupName The name of the resource group.
         * @param privateZoneName The name of the Private DNS zone (without a terminating dot).
         * @param parameters Parameters supplied to the Update operation.
         * @param [options] The optional parameters
         * @returns Promise<msRestAzure.LROPoller>
         */
        PrivateZones.prototype.beginUpdate = function (resourceGroupName, privateZoneName, parameters, options) {
            return this.client.sendLRORequest({
                resourceGroupName: resourceGroupName,
                privateZoneName: privateZoneName,
                parameters: parameters,
                options: options
            }, beginUpdateOperationSpec, options);
        };
        /**
         * Deletes a Private DNS zone. WARNING: All DNS records in the zone will also be deleted. This
         * operation cannot be undone. Private DNS zone cannot be deleted unless all virtual network links
         * to it are removed.
         * @param resourceGroupName The name of the resource group.
         * @param privateZoneName The name of the Private DNS zone (without a terminating dot).
         * @param [options] The optional parameters
         * @returns Promise<msRestAzure.LROPoller>
         */
        PrivateZones.prototype.beginDeleteMethod = function (resourceGroupName, privateZoneName, options) {
            return this.client.sendLRORequest({
                resourceGroupName: resourceGroupName,
                privateZoneName: privateZoneName,
                options: options
            }, beginDeleteMethodOperationSpec, options);
        };
        PrivateZones.prototype.listNext = function (nextPageLink, options, callback) {
            return this.client.sendOperationRequest({
                nextPageLink: nextPageLink,
                options: options
            }, listNextOperationSpec, callback);
        };
        PrivateZones.prototype.listByResourceGroupNext = function (nextPageLink, options, callback) {
            return this.client.sendOperationRequest({
                nextPageLink: nextPageLink,
                options: options
            }, listByResourceGroupNextOperationSpec, callback);
        };
        return PrivateZones;
    }());
    // Operation Specifications
    var serializer = new msRest.Serializer(Mappers);
    var getOperationSpec = {
        httpMethod: "GET",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones/{privateZoneName}",
        urlParameters: [
            resourceGroupName,
            privateZoneName,
            subscriptionId
        ],
        queryParameters: [
            apiVersion
        ],
        headerParameters: [
            acceptLanguage
        ],
        responses: {
            200: {
                bodyMapper: PrivateZone
            },
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer
    };
    var listOperationSpec = {
        httpMethod: "GET",
        path: "subscriptions/{subscriptionId}/providers/Microsoft.Network/privateDnsZones",
        urlParameters: [
            subscriptionId
        ],
        queryParameters: [
            top,
            apiVersion
        ],
        headerParameters: [
            acceptLanguage
        ],
        responses: {
            200: {
                bodyMapper: PrivateZoneListResult
            },
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer
    };
    var listByResourceGroupOperationSpec = {
        httpMethod: "GET",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones",
        urlParameters: [
            resourceGroupName,
            subscriptionId
        ],
        queryParameters: [
            top,
            apiVersion
        ],
        headerParameters: [
            acceptLanguage
        ],
        responses: {
            200: {
                bodyMapper: PrivateZoneListResult
            },
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer
    };
    var beginCreateOrUpdateOperationSpec = {
        httpMethod: "PUT",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones/{privateZoneName}",
        urlParameters: [
            resourceGroupName,
            privateZoneName,
            subscriptionId
        ],
        queryParameters: [
            apiVersion
        ],
        headerParameters: [
            ifMatch,
            ifNoneMatch,
            acceptLanguage
        ],
        requestBody: {
            parameterPath: "parameters",
            mapper: __assign(__assign({}, PrivateZone), { required: true })
        },
        responses: {
            200: {
                bodyMapper: PrivateZone
            },
            201: {
                bodyMapper: PrivateZone
            },
            202: {},
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer
    };
    var beginUpdateOperationSpec = {
        httpMethod: "PATCH",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones/{privateZoneName}",
        urlParameters: [
            resourceGroupName,
            privateZoneName,
            subscriptionId
        ],
        queryParameters: [
            apiVersion
        ],
        headerParameters: [
            ifMatch,
            acceptLanguage
        ],
        requestBody: {
            parameterPath: "parameters",
            mapper: __assign(__assign({}, PrivateZone), { required: true })
        },
        responses: {
            200: {
                bodyMapper: PrivateZone
            },
            202: {},
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer
    };
    var beginDeleteMethodOperationSpec = {
        httpMethod: "DELETE",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones/{privateZoneName}",
        urlParameters: [
            resourceGroupName,
            privateZoneName,
            subscriptionId
        ],
        queryParameters: [
            apiVersion
        ],
        headerParameters: [
            ifMatch,
            acceptLanguage
        ],
        responses: {
            200: {},
            202: {},
            204: {},
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer
    };
    var listNextOperationSpec = {
        httpMethod: "GET",
        baseUrl: "https://management.azure.com",
        path: "{nextLink}",
        urlParameters: [
            nextPageLink
        ],
        headerParameters: [
            acceptLanguage
        ],
        responses: {
            200: {
                bodyMapper: PrivateZoneListResult
            },
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer
    };
    var listByResourceGroupNextOperationSpec = {
        httpMethod: "GET",
        baseUrl: "https://management.azure.com",
        path: "{nextLink}",
        urlParameters: [
            nextPageLink
        ],
        headerParameters: [
            acceptLanguage
        ],
        responses: {
            200: {
                bodyMapper: PrivateZoneListResult
            },
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer
    };

    /*
     * Copyright (c) Microsoft Corporation. All rights reserved.
     * Licensed under the MIT License. See License.txt in the project root for license information.
     *
     * Code generated by Microsoft (R) AutoRest Code Generator.
     * Changes may cause incorrect behavior and will be lost if the code is regenerated.
     */

    var Mappers$1 = /*#__PURE__*/Object.freeze({
        __proto__: null,
        AaaaRecord: AaaaRecord,
        ARecord: ARecord,
        BaseResource: BaseResource,
        CloudError: CloudError,
        CnameRecord: CnameRecord,
        MxRecord: MxRecord,
        PrivateZone: PrivateZone,
        ProxyResource: ProxyResource,
        PtrRecord: PtrRecord,
        RecordSet: RecordSet,
        Resource: Resource,
        SoaRecord: SoaRecord,
        SrvRecord: SrvRecord,
        SubResource: SubResource,
        TrackedResource: TrackedResource,
        TxtRecord: TxtRecord,
        VirtualNetworkLink: VirtualNetworkLink,
        VirtualNetworkLinkListResult: VirtualNetworkLinkListResult
    });

    /*
     * Copyright (c) Microsoft Corporation. All rights reserved.
     * Licensed under the MIT License. See License.txt in the project root for
     * license information.
     *
     * Code generated by Microsoft (R) AutoRest Code Generator.
     * Changes may cause incorrect behavior and will be lost if the code is
     * regenerated.
     */
    /** Class representing a VirtualNetworkLinks. */
    var VirtualNetworkLinks = /** @class */ (function () {
        /**
         * Create a VirtualNetworkLinks.
         * @param {PrivateDnsManagementClientContext} client Reference to the service client.
         */
        function VirtualNetworkLinks(client) {
            this.client = client;
        }
        /**
         * Creates or updates a virtual network link to the specified Private DNS zone.
         * @param resourceGroupName The name of the resource group.
         * @param privateZoneName The name of the Private DNS zone (without a terminating dot).
         * @param virtualNetworkLinkName The name of the virtual network link.
         * @param parameters Parameters supplied to the CreateOrUpdate operation.
         * @param [options] The optional parameters
         * @returns Promise<Models.VirtualNetworkLinksCreateOrUpdateResponse>
         */
        VirtualNetworkLinks.prototype.createOrUpdate = function (resourceGroupName, privateZoneName, virtualNetworkLinkName, parameters, options) {
            return this.beginCreateOrUpdate(resourceGroupName, privateZoneName, virtualNetworkLinkName, parameters, options)
                .then(function (lroPoller) { return lroPoller.pollUntilFinished(); });
        };
        /**
         * Updates a virtual network link to the specified Private DNS zone.
         * @param resourceGroupName The name of the resource group.
         * @param privateZoneName The name of the Private DNS zone (without a terminating dot).
         * @param virtualNetworkLinkName The name of the virtual network link.
         * @param parameters Parameters supplied to the Update operation.
         * @param [options] The optional parameters
         * @returns Promise<Models.VirtualNetworkLinksUpdateResponse>
         */
        VirtualNetworkLinks.prototype.update = function (resourceGroupName, privateZoneName, virtualNetworkLinkName, parameters, options) {
            return this.beginUpdate(resourceGroupName, privateZoneName, virtualNetworkLinkName, parameters, options)
                .then(function (lroPoller) { return lroPoller.pollUntilFinished(); });
        };
        /**
         * Deletes a virtual network link to the specified Private DNS zone. WARNING: In case of a
         * registration virtual network, all auto-registered DNS records in the zone for the virtual
         * network will also be deleted. This operation cannot be undone.
         * @param resourceGroupName The name of the resource group.
         * @param privateZoneName The name of the Private DNS zone (without a terminating dot).
         * @param virtualNetworkLinkName The name of the virtual network link.
         * @param [options] The optional parameters
         * @returns Promise<msRest.RestResponse>
         */
        VirtualNetworkLinks.prototype.deleteMethod = function (resourceGroupName, privateZoneName, virtualNetworkLinkName, options) {
            return this.beginDeleteMethod(resourceGroupName, privateZoneName, virtualNetworkLinkName, options)
                .then(function (lroPoller) { return lroPoller.pollUntilFinished(); });
        };
        VirtualNetworkLinks.prototype.get = function (resourceGroupName, privateZoneName, virtualNetworkLinkName, options, callback) {
            return this.client.sendOperationRequest({
                resourceGroupName: resourceGroupName,
                privateZoneName: privateZoneName,
                virtualNetworkLinkName: virtualNetworkLinkName,
                options: options
            }, getOperationSpec$1, callback);
        };
        VirtualNetworkLinks.prototype.list = function (resourceGroupName, privateZoneName, options, callback) {
            return this.client.sendOperationRequest({
                resourceGroupName: resourceGroupName,
                privateZoneName: privateZoneName,
                options: options
            }, listOperationSpec$1, callback);
        };
        /**
         * Creates or updates a virtual network link to the specified Private DNS zone.
         * @param resourceGroupName The name of the resource group.
         * @param privateZoneName The name of the Private DNS zone (without a terminating dot).
         * @param virtualNetworkLinkName The name of the virtual network link.
         * @param parameters Parameters supplied to the CreateOrUpdate operation.
         * @param [options] The optional parameters
         * @returns Promise<msRestAzure.LROPoller>
         */
        VirtualNetworkLinks.prototype.beginCreateOrUpdate = function (resourceGroupName, privateZoneName, virtualNetworkLinkName, parameters, options) {
            return this.client.sendLRORequest({
                resourceGroupName: resourceGroupName,
                privateZoneName: privateZoneName,
                virtualNetworkLinkName: virtualNetworkLinkName,
                parameters: parameters,
                options: options
            }, beginCreateOrUpdateOperationSpec$1, options);
        };
        /**
         * Updates a virtual network link to the specified Private DNS zone.
         * @param resourceGroupName The name of the resource group.
         * @param privateZoneName The name of the Private DNS zone (without a terminating dot).
         * @param virtualNetworkLinkName The name of the virtual network link.
         * @param parameters Parameters supplied to the Update operation.
         * @param [options] The optional parameters
         * @returns Promise<msRestAzure.LROPoller>
         */
        VirtualNetworkLinks.prototype.beginUpdate = function (resourceGroupName, privateZoneName, virtualNetworkLinkName, parameters, options) {
            return this.client.sendLRORequest({
                resourceGroupName: resourceGroupName,
                privateZoneName: privateZoneName,
                virtualNetworkLinkName: virtualNetworkLinkName,
                parameters: parameters,
                options: options
            }, beginUpdateOperationSpec$1, options);
        };
        /**
         * Deletes a virtual network link to the specified Private DNS zone. WARNING: In case of a
         * registration virtual network, all auto-registered DNS records in the zone for the virtual
         * network will also be deleted. This operation cannot be undone.
         * @param resourceGroupName The name of the resource group.
         * @param privateZoneName The name of the Private DNS zone (without a terminating dot).
         * @param virtualNetworkLinkName The name of the virtual network link.
         * @param [options] The optional parameters
         * @returns Promise<msRestAzure.LROPoller>
         */
        VirtualNetworkLinks.prototype.beginDeleteMethod = function (resourceGroupName, privateZoneName, virtualNetworkLinkName, options) {
            return this.client.sendLRORequest({
                resourceGroupName: resourceGroupName,
                privateZoneName: privateZoneName,
                virtualNetworkLinkName: virtualNetworkLinkName,
                options: options
            }, beginDeleteMethodOperationSpec$1, options);
        };
        VirtualNetworkLinks.prototype.listNext = function (nextPageLink, options, callback) {
            return this.client.sendOperationRequest({
                nextPageLink: nextPageLink,
                options: options
            }, listNextOperationSpec$1, callback);
        };
        return VirtualNetworkLinks;
    }());
    // Operation Specifications
    var serializer$1 = new msRest.Serializer(Mappers$1);
    var getOperationSpec$1 = {
        httpMethod: "GET",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones/{privateZoneName}/virtualNetworkLinks/{virtualNetworkLinkName}",
        urlParameters: [
            resourceGroupName,
            privateZoneName,
            virtualNetworkLinkName,
            subscriptionId
        ],
        queryParameters: [
            apiVersion
        ],
        headerParameters: [
            acceptLanguage
        ],
        responses: {
            200: {
                bodyMapper: VirtualNetworkLink
            },
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer$1
    };
    var listOperationSpec$1 = {
        httpMethod: "GET",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones/{privateZoneName}/virtualNetworkLinks",
        urlParameters: [
            resourceGroupName,
            privateZoneName,
            subscriptionId
        ],
        queryParameters: [
            top,
            apiVersion
        ],
        headerParameters: [
            acceptLanguage
        ],
        responses: {
            200: {
                bodyMapper: VirtualNetworkLinkListResult
            },
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer$1
    };
    var beginCreateOrUpdateOperationSpec$1 = {
        httpMethod: "PUT",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones/{privateZoneName}/virtualNetworkLinks/{virtualNetworkLinkName}",
        urlParameters: [
            resourceGroupName,
            privateZoneName,
            virtualNetworkLinkName,
            subscriptionId
        ],
        queryParameters: [
            apiVersion
        ],
        headerParameters: [
            ifMatch,
            ifNoneMatch,
            acceptLanguage
        ],
        requestBody: {
            parameterPath: "parameters",
            mapper: __assign(__assign({}, VirtualNetworkLink), { required: true })
        },
        responses: {
            200: {
                bodyMapper: VirtualNetworkLink
            },
            201: {
                bodyMapper: VirtualNetworkLink
            },
            202: {},
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer$1
    };
    var beginUpdateOperationSpec$1 = {
        httpMethod: "PATCH",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones/{privateZoneName}/virtualNetworkLinks/{virtualNetworkLinkName}",
        urlParameters: [
            resourceGroupName,
            privateZoneName,
            virtualNetworkLinkName,
            subscriptionId
        ],
        queryParameters: [
            apiVersion
        ],
        headerParameters: [
            ifMatch,
            acceptLanguage
        ],
        requestBody: {
            parameterPath: "parameters",
            mapper: __assign(__assign({}, VirtualNetworkLink), { required: true })
        },
        responses: {
            200: {
                bodyMapper: VirtualNetworkLink
            },
            202: {},
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer$1
    };
    var beginDeleteMethodOperationSpec$1 = {
        httpMethod: "DELETE",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones/{privateZoneName}/virtualNetworkLinks/{virtualNetworkLinkName}",
        urlParameters: [
            resourceGroupName,
            privateZoneName,
            virtualNetworkLinkName,
            subscriptionId
        ],
        queryParameters: [
            apiVersion
        ],
        headerParameters: [
            ifMatch,
            acceptLanguage
        ],
        responses: {
            200: {},
            202: {},
            204: {},
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer$1
    };
    var listNextOperationSpec$1 = {
        httpMethod: "GET",
        baseUrl: "https://management.azure.com",
        path: "{nextLink}",
        urlParameters: [
            nextPageLink
        ],
        headerParameters: [
            acceptLanguage
        ],
        responses: {
            200: {
                bodyMapper: VirtualNetworkLinkListResult
            },
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer$1
    };

    /*
     * Copyright (c) Microsoft Corporation. All rights reserved.
     * Licensed under the MIT License. See License.txt in the project root for license information.
     *
     * Code generated by Microsoft (R) AutoRest Code Generator.
     * Changes may cause incorrect behavior and will be lost if the code is regenerated.
     */

    var Mappers$2 = /*#__PURE__*/Object.freeze({
        __proto__: null,
        AaaaRecord: AaaaRecord,
        ARecord: ARecord,
        BaseResource: BaseResource,
        CloudError: CloudError,
        CnameRecord: CnameRecord,
        MxRecord: MxRecord,
        PrivateZone: PrivateZone,
        ProxyResource: ProxyResource,
        PtrRecord: PtrRecord,
        RecordSet: RecordSet,
        RecordSetListResult: RecordSetListResult,
        Resource: Resource,
        SoaRecord: SoaRecord,
        SrvRecord: SrvRecord,
        SubResource: SubResource,
        TrackedResource: TrackedResource,
        TxtRecord: TxtRecord,
        VirtualNetworkLink: VirtualNetworkLink
    });

    /*
     * Copyright (c) Microsoft Corporation. All rights reserved.
     * Licensed under the MIT License. See License.txt in the project root for
     * license information.
     *
     * Code generated by Microsoft (R) AutoRest Code Generator.
     * Changes may cause incorrect behavior and will be lost if the code is
     * regenerated.
     */
    /** Class representing a RecordSets. */
    var RecordSets = /** @class */ (function () {
        /**
         * Create a RecordSets.
         * @param {PrivateDnsManagementClientContext} client Reference to the service client.
         */
        function RecordSets(client) {
            this.client = client;
        }
        RecordSets.prototype.createOrUpdate = function (resourceGroupName, privateZoneName, recordType, relativeRecordSetName, parameters, options, callback) {
            return this.client.sendOperationRequest({
                resourceGroupName: resourceGroupName,
                privateZoneName: privateZoneName,
                recordType: recordType,
                relativeRecordSetName: relativeRecordSetName,
                parameters: parameters,
                options: options
            }, createOrUpdateOperationSpec, callback);
        };
        RecordSets.prototype.update = function (resourceGroupName, privateZoneName, recordType, relativeRecordSetName, parameters, options, callback) {
            return this.client.sendOperationRequest({
                resourceGroupName: resourceGroupName,
                privateZoneName: privateZoneName,
                recordType: recordType,
                relativeRecordSetName: relativeRecordSetName,
                parameters: parameters,
                options: options
            }, updateOperationSpec, callback);
        };
        RecordSets.prototype.deleteMethod = function (resourceGroupName, privateZoneName, recordType, relativeRecordSetName, options, callback) {
            return this.client.sendOperationRequest({
                resourceGroupName: resourceGroupName,
                privateZoneName: privateZoneName,
                recordType: recordType,
                relativeRecordSetName: relativeRecordSetName,
                options: options
            }, deleteMethodOperationSpec, callback);
        };
        RecordSets.prototype.get = function (resourceGroupName, privateZoneName, recordType, relativeRecordSetName, options, callback) {
            return this.client.sendOperationRequest({
                resourceGroupName: resourceGroupName,
                privateZoneName: privateZoneName,
                recordType: recordType,
                relativeRecordSetName: relativeRecordSetName,
                options: options
            }, getOperationSpec$2, callback);
        };
        RecordSets.prototype.listByType = function (resourceGroupName, privateZoneName, recordType, options, callback) {
            return this.client.sendOperationRequest({
                resourceGroupName: resourceGroupName,
                privateZoneName: privateZoneName,
                recordType: recordType,
                options: options
            }, listByTypeOperationSpec, callback);
        };
        RecordSets.prototype.list = function (resourceGroupName, privateZoneName, options, callback) {
            return this.client.sendOperationRequest({
                resourceGroupName: resourceGroupName,
                privateZoneName: privateZoneName,
                options: options
            }, listOperationSpec$2, callback);
        };
        RecordSets.prototype.listByTypeNext = function (nextPageLink, options, callback) {
            return this.client.sendOperationRequest({
                nextPageLink: nextPageLink,
                options: options
            }, listByTypeNextOperationSpec, callback);
        };
        RecordSets.prototype.listNext = function (nextPageLink, options, callback) {
            return this.client.sendOperationRequest({
                nextPageLink: nextPageLink,
                options: options
            }, listNextOperationSpec$2, callback);
        };
        return RecordSets;
    }());
    // Operation Specifications
    var serializer$2 = new msRest.Serializer(Mappers$2);
    var createOrUpdateOperationSpec = {
        httpMethod: "PUT",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones/{privateZoneName}/{recordType}/{relativeRecordSetName}",
        urlParameters: [
            resourceGroupName,
            privateZoneName,
            recordType,
            relativeRecordSetName,
            subscriptionId
        ],
        queryParameters: [
            apiVersion
        ],
        headerParameters: [
            ifMatch,
            ifNoneMatch,
            acceptLanguage
        ],
        requestBody: {
            parameterPath: "parameters",
            mapper: __assign(__assign({}, RecordSet), { required: true })
        },
        responses: {
            200: {
                bodyMapper: RecordSet
            },
            201: {
                bodyMapper: RecordSet
            },
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer$2
    };
    var updateOperationSpec = {
        httpMethod: "PATCH",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones/{privateZoneName}/{recordType}/{relativeRecordSetName}",
        urlParameters: [
            resourceGroupName,
            privateZoneName,
            recordType,
            relativeRecordSetName,
            subscriptionId
        ],
        queryParameters: [
            apiVersion
        ],
        headerParameters: [
            ifMatch,
            acceptLanguage
        ],
        requestBody: {
            parameterPath: "parameters",
            mapper: __assign(__assign({}, RecordSet), { required: true })
        },
        responses: {
            200: {
                bodyMapper: RecordSet
            },
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer$2
    };
    var deleteMethodOperationSpec = {
        httpMethod: "DELETE",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones/{privateZoneName}/{recordType}/{relativeRecordSetName}",
        urlParameters: [
            resourceGroupName,
            privateZoneName,
            recordType,
            relativeRecordSetName,
            subscriptionId
        ],
        queryParameters: [
            apiVersion
        ],
        headerParameters: [
            ifMatch,
            acceptLanguage
        ],
        responses: {
            200: {},
            204: {},
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer$2
    };
    var getOperationSpec$2 = {
        httpMethod: "GET",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones/{privateZoneName}/{recordType}/{relativeRecordSetName}",
        urlParameters: [
            resourceGroupName,
            privateZoneName,
            recordType,
            relativeRecordSetName,
            subscriptionId
        ],
        queryParameters: [
            apiVersion
        ],
        headerParameters: [
            acceptLanguage
        ],
        responses: {
            200: {
                bodyMapper: RecordSet
            },
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer$2
    };
    var listByTypeOperationSpec = {
        httpMethod: "GET",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones/{privateZoneName}/{recordType}",
        urlParameters: [
            resourceGroupName,
            privateZoneName,
            recordType,
            subscriptionId
        ],
        queryParameters: [
            top,
            recordsetnamesuffix,
            apiVersion
        ],
        headerParameters: [
            acceptLanguage
        ],
        responses: {
            200: {
                bodyMapper: RecordSetListResult
            },
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer$2
    };
    var listOperationSpec$2 = {
        httpMethod: "GET",
        path: "subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateDnsZones/{privateZoneName}/ALL",
        urlParameters: [
            resourceGroupName,
            privateZoneName,
            subscriptionId
        ],
        queryParameters: [
            top,
            recordsetnamesuffix,
            apiVersion
        ],
        headerParameters: [
            acceptLanguage
        ],
        responses: {
            200: {
                bodyMapper: RecordSetListResult
            },
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer$2
    };
    var listByTypeNextOperationSpec = {
        httpMethod: "GET",
        baseUrl: "https://management.azure.com",
        path: "{nextLink}",
        urlParameters: [
            nextPageLink
        ],
        headerParameters: [
            acceptLanguage
        ],
        responses: {
            200: {
                bodyMapper: RecordSetListResult
            },
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer$2
    };
    var listNextOperationSpec$2 = {
        httpMethod: "GET",
        baseUrl: "https://management.azure.com",
        path: "{nextLink}",
        urlParameters: [
            nextPageLink
        ],
        headerParameters: [
            acceptLanguage
        ],
        responses: {
            200: {
                bodyMapper: RecordSetListResult
            },
            default: {
                bodyMapper: CloudError
            }
        },
        serializer: serializer$2
    };

    /*
     * Copyright (c) Microsoft Corporation. All rights reserved.
     * Licensed under the MIT License. See License.txt in the project root for
     * license information.
     *
     * Code generated by Microsoft (R) AutoRest Code Generator.
     * Changes may cause incorrect behavior and will be lost if the code is
     * regenerated.
     */
    var packageName = "@azure/arm-privatedns";
    var packageVersion = "2.0.0";
    var PrivateDnsManagementClientContext = /** @class */ (function (_super) {
        __extends(PrivateDnsManagementClientContext, _super);
        /**
         * Initializes a new instance of the PrivateDnsManagementClient class.
         * @param credentials Credentials needed for the client to connect to Azure.
         * @param subscriptionId Gets subscription credentials which uniquely identify Microsoft Azure
         * subscription. The subscription ID forms part of the URI for every service call.
         * @param [options] The parameter options
         */
        function PrivateDnsManagementClientContext(credentials, subscriptionId, options) {
            var _this = this;
            if (credentials == undefined) {
                throw new Error('\'credentials\' cannot be null.');
            }
            if (subscriptionId == undefined) {
                throw new Error('\'subscriptionId\' cannot be null.');
            }
            if (!options) {
                options = {};
            }
            if (!options.userAgent) {
                var defaultUserAgent = msRestAzure.getDefaultUserAgentValue();
                options.userAgent = packageName + "/" + packageVersion + " " + defaultUserAgent;
            }
            _this = _super.call(this, credentials, options) || this;
            _this.apiVersion = '2018-09-01';
            _this.acceptLanguage = 'en-US';
            _this.longRunningOperationRetryTimeout = 30;
            _this.baseUri = options.baseUri || _this.baseUri || "https://management.azure.com";
            _this.requestContentType = "application/json; charset=utf-8";
            _this.credentials = credentials;
            _this.subscriptionId = subscriptionId;
            if (options.acceptLanguage !== null && options.acceptLanguage !== undefined) {
                _this.acceptLanguage = options.acceptLanguage;
            }
            if (options.longRunningOperationRetryTimeout !== null && options.longRunningOperationRetryTimeout !== undefined) {
                _this.longRunningOperationRetryTimeout = options.longRunningOperationRetryTimeout;
            }
            return _this;
        }
        return PrivateDnsManagementClientContext;
    }(msRestAzure.AzureServiceClient));

    /*
     * Copyright (c) Microsoft Corporation. All rights reserved.
     * Licensed under the MIT License. See License.txt in the project root for
     * license information.
     *
     * Code generated by Microsoft (R) AutoRest Code Generator.
     * Changes may cause incorrect behavior and will be lost if the code is
     * regenerated.
     */
    var PrivateDnsManagementClient = /** @class */ (function (_super) {
        __extends(PrivateDnsManagementClient, _super);
        /**
         * Initializes a new instance of the PrivateDnsManagementClient class.
         * @param credentials Credentials needed for the client to connect to Azure.
         * @param subscriptionId Gets subscription credentials which uniquely identify Microsoft Azure
         * subscription. The subscription ID forms part of the URI for every service call.
         * @param [options] The parameter options
         */
        function PrivateDnsManagementClient(credentials, subscriptionId, options) {
            var _this = _super.call(this, credentials, subscriptionId, options) || this;
            _this.privateZones = new PrivateZones(_this);
            _this.virtualNetworkLinks = new VirtualNetworkLinks(_this);
            _this.recordSets = new RecordSets(_this);
            return _this;
        }
        return PrivateDnsManagementClient;
    }(PrivateDnsManagementClientContext));

    exports.PrivateDnsManagementClient = PrivateDnsManagementClient;
    exports.PrivateDnsManagementClientContext = PrivateDnsManagementClientContext;
    exports.PrivateDnsManagementMappers = mappers;
    exports.PrivateDnsManagementModels = index;
    exports.PrivateZones = PrivateZones;
    exports.RecordSets = RecordSets;
    exports.VirtualNetworkLinks = VirtualNetworkLinks;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=arm-privatedns.js.map
