import * as msRest from "@azure/ms-rest-js";
import * as Models from "./models";
import * as Mappers from "./models/mappers";
import * as operations from "./operations";
import { PrivateDnsManagementClientContext } from "./privateDnsManagementClientContext";
declare class PrivateDnsManagementClient extends PrivateDnsManagementClientContext {
    privateZones: operations.PrivateZones;
    virtualNetworkLinks: operations.VirtualNetworkLinks;
    recordSets: operations.RecordSets;
    /**
     * Initializes a new instance of the PrivateDnsManagementClient class.
     * @param credentials Credentials needed for the client to connect to Azure.
     * @param subscriptionId Gets subscription credentials which uniquely identify Microsoft Azure
     * subscription. The subscription ID forms part of the URI for every service call.
     * @param [options] The parameter options
     */
    constructor(credentials: msRest.ServiceClientCredentials, subscriptionId: string, options?: Models.PrivateDnsManagementClientOptions);
}
export { PrivateDnsManagementClient, PrivateDnsManagementClientContext, Models as PrivateDnsManagementModels, Mappers as PrivateDnsManagementMappers };
export * from "./operations";
//# sourceMappingURL=privateDnsManagementClient.d.ts.map