/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */
import { __extends } from "tslib";
import * as Models from "./models";
import * as Mappers from "./models/mappers";
import * as operations from "./operations";
import { PrivateDnsManagementClientContext } from "./privateDnsManagementClientContext";
var PrivateDnsManagementClient = /** @class */ (function (_super) {
    __extends(PrivateDnsManagementClient, _super);
    /**
     * Initializes a new instance of the PrivateDnsManagementClient class.
     * @param credentials Credentials needed for the client to connect to Azure.
     * @param subscriptionId Gets subscription credentials which uniquely identify Microsoft Azure
     * subscription. The subscription ID forms part of the URI for every service call.
     * @param [options] The parameter options
     */
    function PrivateDnsManagementClient(credentials, subscriptionId, options) {
        var _this = _super.call(this, credentials, subscriptionId, options) || this;
        _this.privateZones = new operations.PrivateZones(_this);
        _this.virtualNetworkLinks = new operations.VirtualNetworkLinks(_this);
        _this.recordSets = new operations.RecordSets(_this);
        return _this;
    }
    return PrivateDnsManagementClient;
}(PrivateDnsManagementClientContext));
// Operation Specifications
export { PrivateDnsManagementClient, PrivateDnsManagementClientContext, Models as PrivateDnsManagementModels, Mappers as PrivateDnsManagementMappers };
export * from "./operations";
//# sourceMappingURL=privateDnsManagementClient.js.map