/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */
import { __extends } from "tslib";
import * as Models from "./models";
import * as Mappers from "./models/mappers";
import * as operations from "./operations";
import { ResourceManagementClientContext } from "./resourceManagementClientContext";
var ResourceManagementClient = /** @class */ (function (_super) {
    __extends(ResourceManagementClient, _super);
    /**
     * Initializes a new instance of the ResourceManagementClient class.
     * @param credentials Credentials needed for the client to connect to Azure. Credentials
     * implementing the TokenCredential interface from the @azure/identity package are recommended. For
     * more information about these credentials, see
     * {@link https://www.npmjs.com/package/@azure/identity}. Credentials implementing the
     * ServiceClientCredentials interface from the older packages @azure/ms-rest-nodeauth and
     * @azure/ms-rest-browserauth are also supported.
     * @param subscriptionId The ID of the target subscription.
     * @param [options] The parameter options
     */
    function ResourceManagementClient(credentials, subscriptionId, options) {
        var _this = _super.call(this, credentials, subscriptionId, options) || this;
        _this.operations = new operations.Operations(_this);
        _this.deployments = new operations.Deployments(_this);
        _this.providers = new operations.Providers(_this);
        _this.providerResourceTypes = new operations.ProviderResourceTypes(_this);
        _this.resources = new operations.Resources(_this);
        _this.resourceGroups = new operations.ResourceGroups(_this);
        _this.tags = new operations.TagsOperations(_this);
        _this.deploymentOperations = new operations.DeploymentOperations(_this);
        return _this;
    }
    return ResourceManagementClient;
}(ResourceManagementClientContext));
// Operation Specifications
export { ResourceManagementClient, ResourceManagementClientContext, Models as ResourceManagementModels, Mappers as ResourceManagementMappers };
export * from "./operations";
//# sourceMappingURL=resourceManagementClient.js.map