/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */
import { __extends } from "tslib";
import * as Models from "./models";
import * as Mappers from "./models/mappers";
import * as operations from "./operations";
import { StorageManagementClientContext } from "./storageManagementClientContext";
var StorageManagementClient = /** @class */ (function (_super) {
    __extends(StorageManagementClient, _super);
    /**
     * Initializes a new instance of the StorageManagementClient class.
     * @param credentials Credentials needed for the client to connect to Azure.
     * @param subscriptionId The ID of the target subscription.
     * @param [options] The parameter options
     */
    function StorageManagementClient(credentials, subscriptionId, options) {
        var _this = _super.call(this, credentials, subscriptionId, options) || this;
        _this.operations = new operations.Operations(_this);
        _this.skus = new operations.Skus(_this);
        _this.storageAccounts = new operations.StorageAccounts(_this);
        _this.deletedAccounts = new operations.DeletedAccounts(_this);
        _this.usages = new operations.Usages(_this);
        _this.managementPolicies = new operations.ManagementPolicies(_this);
        _this.blobInventoryPolicies = new operations.BlobInventoryPolicies(_this);
        _this.privateEndpointConnections = new operations.PrivateEndpointConnections(_this);
        _this.privateLinkResources = new operations.PrivateLinkResources(_this);
        _this.objectReplicationPolicies = new operations.ObjectReplicationPoliciesOperations(_this);
        _this.encryptionScopes = new operations.EncryptionScopes(_this);
        _this.blobServices = new operations.BlobServices(_this);
        _this.blobContainers = new operations.BlobContainers(_this);
        _this.fileServices = new operations.FileServices(_this);
        _this.fileShares = new operations.FileShares(_this);
        _this.queueServices = new operations.QueueServices(_this);
        _this.queue = new operations.Queue(_this);
        _this.tableServices = new operations.TableServices(_this);
        _this.table = new operations.TableOperations(_this);
        return _this;
    }
    return StorageManagementClient;
}(StorageManagementClientContext));
// Operation Specifications
export { StorageManagementClient, StorageManagementClientContext, Models as StorageManagementModels, Mappers as StorageManagementMappers };
export * from "./operations";
//# sourceMappingURL=storageManagementClient.js.map