import * as msRest from "@azure/ms-rest-js";
import * as Models from "./models";
import * as Mappers from "./models/mappers";
import * as operations from "./operations";
import { SubscriptionClientContext } from "./subscriptionClientContext";
declare class SubscriptionClient extends SubscriptionClientContext {
    subscriptions: operations.Subscriptions;
    tenants: operations.Tenants;
    subscription: operations.SubscriptionOperations;
    operations: operations.Operations;
    alias: operations.Alias;
    /**
     * Initializes a new instance of the SubscriptionClient class.
     * @param credentials Credentials needed for the client to connect to Azure.
     * @param [options] The parameter options
     */
    constructor(credentials: msRest.ServiceClientCredentials, options?: Models.SubscriptionClientOptions);
}
export { SubscriptionClient, SubscriptionClientContext, Models as SubscriptionModels, Mappers as SubscriptionMappers };
export * from "./operations";
//# sourceMappingURL=subscriptionClient.d.ts.map